apiready = function() {
	if (api.systemType == 'ios') {
		$api.byId('datepicker').style.display = 'none';
	} else {
		$api.byId('datepicker').style.display = 'block';
	}
	initPage();
}
function initPage() {

	var fvid = api.pageParam.fvid;
	var ftype = api.pageParam.type;
	//alert(ftype);
	if (ftype == 1)//修改
	{
		var Url = 'latent/GetLatentAppoint/?fid=' + fvid;
		//alert(Url);
		api.showProgress({
			title : '正在加载...',
			modal : false
		});
		ajaxRequestWebAPI(Url, 'GET', '', function(ret, err) {
			if (ret) {
				bookLatent = ret;
				//alert(JSON.stringify(bookLatent));
				$api.byId('reg_date').value = ret.register_date;
				$api.byId('date').value = bookLatent.appoint_datetime.substring(0, 10);
				$api.byId('time').value = bookLatent.appoint_datetime.substring(10, 19);
				$api.byId('ftype').value = bookLatent.ftype;
				$api.byId('name').value = bookLatent.latent_client_name;
				$api.byId('mobile').value = bookLatent.mobile;
				$api.byId('note').value = bookLatent.note;
				$api.byId('member_consultant_name').value = bookLatent.member_consultant_name;
			}
			api.hideProgress();
		});

	} else {
		bookLatent.latent_client_id = api.pageParam.fid;
		bookLatent.latent_client_name = api.pageParam.fname;
		bookLatent.mobile = api.pageParam.mobile;
		bookLatent.ftype = api.pageParam.ftype;
		$api.byId('reg_date').value = api.pageParam.reg_date.replace(/\T/igm, " ");
		$api.byId('date').value = bookLatent.appoint_datetime.toLocaleDateString().replace(/\//igm, "-");
		$api.byId('time').value = bookLatent.appoint_datetime.toTimeString().substring(0, 8);
		$api.byId('ftype').value = bookLatent.ftype;
		$api.byId('name').value = bookLatent.latent_client_name;
		$api.byId('mobile').value = bookLatent.mobile;
		$api.byId('note').value = bookLatent.note;
		$api.byId('member_consultant_name').value = bookLatent.member_consultant_name;
	}
}

var date1 = new Date();
//toLocaleString();
date1.setDate(date1.getDate());
function openTime() {
	if (api.systemType == 'ios') {
		api.openPicker({
			type : 'date_time',
			date : date1,
			title : '选择时间'
		}, function(ret, err) {
			if (ret) {
				if (ret.hour < 10) {
					if (ret.minute < 10) {
						$api.byId('time').value = ret.year + '-' + ret.month + '-' + ret.day + ' 0' + ret.hour + ':0' + ret.minute;
					} else {
						$api.byId('time').value = ret.year + '-' + ret.month + '-' + ret.day + ' 0' + ret.hour + ':' + ret.minute;
					}
				} else {
					if (ret.minute < 10) {
						$api.byId('time').value = ret.year + '-' + ret.month + '-' + ret.day + ' 0' + ret.hour + ':' + ret.minute;
					} else {
						$api.byId('time').value = ret.year + '-' + ret.month + '-' + ret.day + ' ' + ret.hour + ':' + ret.minute;
					}
				}
			} else {
				alert(JSON.stringify(err));
			}
		});
	} else {
		api.openPicker({
			type : 'time',
			date : date1,
			title : '选择时间'
		}, function(ret, err) {
			if (ret) {
				if (ret.hour < 10) {
					if (ret.minute < 10) {
						$api.byId('time').value = '0' + ret.hour + ':0' + ret.minute;
					} else {
						$api.byId('time').value = '0' + ret.hour + ':' + ret.minute;
					}
				} else {
					if (ret.minute < 10) {
						$api.byId('time').value = ret.hour + ':0' + ret.minute;
					} else {
						$api.byId('time').value = ret.hour + ':' + ret.minute;
					}
				}
			} else {
				alert(JSON.stringify(err));
			}
		});
	}
}

function openDate() {
	api.openPicker({
		type : 'date',
		date : date1,
		title : '选择日期'
	}, function(ret, err) {
		if (ret) {
			$api.byId('date').value = ret.year + '-' + ret.month + '-' + ret.day;
			openTime();
		} else {
			alert(JSON.stringify(err));
		}
	});
}

function call() {
	api.call({
		type : 'tel_prompt',
		number : bookLatent.mobile
	});
}

var bookLatent = {
	latent_client_appoint_id : '',
	organization_id : $api.getStorage('org_id'),
	organization_code : $api.getStorage('org_code'),
	latent_client_id : '',
	latent_client_name : '',
	member_consultant_id : $api.getStorage('userid'),
	member_consultant_name : $api.getStorage('username'),
	appoint_datetime : date1,
	create_date : '',
	create_user_id : '',
	create_user_name : '',
	appoint_type : '预约来访',
	note : '',
	mobile : '',
	ftype : ''
}
function save() {
	var Url = 'latent/SaveLatentAppoint/';

	if ($api.byId('note').value == '') {
		alert("说明不能为空！");
		return;

	}

	if (api.systemType == 'ios') {
		if ($api.byId('time').value == '') {
			alert("请选择预约时间！");
			return;
		} else {
			bookLatent.appoint_datetime = $api.byId('time').value;
		}
	} else {
		if ($api.byId('date').value == '') {
			alert("请选择预约日期！");
			return;
		} else if ($api.byId('time').value == '') {
			alert("请选择预约时间！");
			return;
		} else {
			bookLatent.appoint_datetime = $api.byId('date').value + ' ' + $api.byId('time').value;

		}

		bookLatent.note = $api.val($api.byId('note'));
		//bookLatent.appoint_datetime=bookLatent.appoint_datetime.replace("下午", "").replace("上午", "");
		//bookLatent.appoint_datetime='2017-7-3 15:05:20';
		//alert(JSON.stringify(bookLatent));
		//return;
		api.showProgress({
			title : '正在保存...',
			modal : false
		});

		ajaxRequestWebAPI(Url, 'POST', JSON.stringify(bookLatent), function(ret, err) {
			//alert(JSON.stringify(ret));
			if (ret) {
				if (ret.Status) {
					api.alert({
						msg : ret.Msg
					});
					api.execScript({
						name : 'Latent',
						frameName : 'Latentfrm',
						script : 'initPage();'
					});
					api.closeWin();
				} else {
					api.alert({
						msg : ret.Msg
					});
				}
			} else {
				api.alert({
					msg : err.msg
				});
			}

			api.hideProgress();
		});

	}
}