apiready = function() {
    if (api.systemType == 'ios') {
        $api.byId('datepicker').style.display = 'none';
    } else {
        $api.byId('datepicker').style.display = 'block';
    }

    initPage();
}

function initPage() {
    var fid = api.pageParam.id;
    var client_id = api.pageParam.cid;
    //alert(ftype);

    book.client_id = client_id;
    book.ptcurr_sche_detail_id = fid;
    //$api.byId('register_date').value = api.pageParam.register_date.replace(/\T/igm, " ");
    $api.byId('date').value = book.booking_time.toLocaleDateString().replace(/\//igm, "-");
    $api.byId('time').value = book.booking_time.toTimeString().substring(0, 8);
    //$api.byId('visit_way').value = book.visit_way;
    $api.byId('name').value = api.pageParam.cname;
    $api.byId('description').value = book.description;
    $api.byId('coach_name').value = book.coach_name;

}

var date1 = new Date();
date1.setDate(date1.getDate());

function openTime() {
    if (api.systemType == 'ios') {
        api.openPicker({
            type: 'date_time',
            date: date1.toLocaleString().replace(/\//igm, "-"),
            title: '选择时间'
        }, function(ret, err) {
            if (ret) {
                var fmonth = ret.month > 9 ? ret.month : '0' + ret.month;
                var fday = ret.day > 9 ? ret.day : '0' + ret.day;
                var fhour = ret.hour > 9 ? ret.hour : '0' + ret.hour;
                var fminute = ret.minute > 9 ? ret.minute : '0' + ret.minute;
                $api.byId('time').value = ret.year + '-' + fmonth + '-' + fday + ' ' + fhour + ':' + fminute;
                /*
                if (ret.hour < 10) {
                    if (ret.minute < 10) {
                        $api.byId('time').value = ret.year + '-' + ret.month + '-' + ret.day + ' 0' + ret.hour + ':0' + ret.minute;
                    } else {
                        $api.byId('time').value = ret.year + '-' + ret.month + '-' + ret.day + ' 0' + ret.hour + ':' + ret.minute;
                    }
                } else {
                    if (ret.minute < 10) {
                        $api.byId('time').value = ret.year + '-' + ret.month + '-' + ret.day + ' 0' + ret.hour + ':' + ret.minute;
                    } else {
                        $api.byId('time').value = ret.year + '-' + ret.month + '-' + ret.day + ' ' + ret.hour + ':' + ret.minute;
                    }
                }
								*/
            } else {
                alert(JSON.stringify(err));
            }
        });
    } else {
        api.openPicker({
            type: 'time',
            date: date1.toLocaleTimeString(),
            title: '选择时间'
        }, function(ret, err) {
            if (ret) {
                //var fmonth = ret.month>9?ret.month:'0'+ret.month;
                //var fday = ret.day>9?ret.day:'0'+ret.day;
                var fhour = ret.hour > 9 ? ret.hour : '0' + ret.hour;
                var fminute = ret.minute > 9 ? ret.minute : '0' + ret.minute;
                $api.byId('time').value = fhour + ':' + fminute;
                /*
                if (ret.hour < 10) {
                    if (ret.minute < 10) {
                        $api.byId('time').value = '0' + ret.hour + ':0' + ret.minute;
                    } else {
                        $api.byId('time').value = '0' + ret.hour + ':' + ret.minute;
                    }
                } else {
                    if (ret.minute < 10) {
                        $api.byId('time').value = ret.hour + ':0' + ret.minute;
                    } else {
                        $api.byId('time').value = ret.hour + ':' + ret.minute;
                    }
                }
								*/
            } else {
                alert(JSON.stringify(err));
            }
        });
    }
}

function openDate() {
    api.openPicker({
        type: 'date',
        date: date1.toLocaleDateString().replace(/\//igm, "-"),
        title: '选择日期'
    }, function(ret, err) {
        if (ret) {
            var fmonth = ret.month > 9 ? ret.month : '0' + ret.month;
            var fday = ret.day > 9 ? ret.day : '0' + ret.day;
            $api.byId('date').value = ret.year + '-' + fmonth + '-' + fday;
            openTime();
        } else {
            alert(JSON.stringify(err));
        }
    });
}

var book = {
    ptcurr_sche_detail_id: '',
    organization_id: $api.getStorage('org_id'),
    organization_code: $api.getStorage('org_code'),
    booking_mode: 'APP',
    course_title: '',
    client_id: '',
    coach_id: $api.getStorage('userid'),
    coach_name: $api.getStorage('username'),
    booking_time: date1,
    description: ''
}

function save() {
    var Url = 'pt/CoachBookingPT/';

    if ($api.byId('description').value == '') {
        alert("内容不能为空！");
        return;

    }
    if (api.systemType == 'ios') {
        if ($api.byId('time').value == '') {
            alert("回访时间不能为空！");
            return;
        } else {
            book.booking_time = $api.byId('time').value;
        }

    } else {
        if ($api.byId('date').value == '') {
            alert("回访日期不能为空！");
            return;
        };
        if ($api.byId('time').value == '') {
            alert("回访时间不能为空！");
            return;
        };
        book.booking_time = $api.byId('date').value + 'T' + $api.byId('time').value;

    }

    book.description = $api.val($api.byId('description'));
    //book.visit_way = $api.byId('visit_way').value;

    api.showProgress({
        title: '正在保存...',
        modal: false
    });

    ajaxRequestWebAPI(Url, 'POST', JSON.stringify(book), function(ret, err) {
        //alert(JSON.stringify(ret));
        if (ret) {
            if (ret.Status) {
                api.alert({
                    msg: ret.Msg
                });
                /*
                api.execScript({
                    name: 'MemberPT',
                    frameName: 'MemberPTfrm',
                    script: 'GetCounts();'
                });

*/
                api.openWin({
                    name: 'ptSign',
                    url: '../html/ptSign.html'
                });

                api.closeWin({
                    name: 'MemberPT'
                });
                api.closeWin({
                    name: 'MemberPTBookList'
                });
                api.closeWin();
            } else {
                api.alert({
                    msg: ret.Msg
                });
            }
        } else {
            api.alert({
                msg: err.msg
            });
        }

        api.hideProgress();
    });

}
