var cardList = Array();

function initPage() {
	var client_id = api.pageParam.cid;
	var client_name = api.pageParam.cname;
	GetCardList(client_id);

}

function pick(findex) {
	var card = cardList[findex];
	//alert(JSON.stringify(card));
	
	api.showProgress({
		style : 'default',
		animationType : 'fade',
		title : '努力加载中...',
		text : '先喝杯茶...',
		modal : true
	});
	api.openWin({
		name : 'CardType',
		url : '../html/CardType.html',
		pageParam : {
			cid : card.client_id,
			cardid : card.card_id,
			cname : card.client_name,
			cnumber : card.card_number,
			cenddate : card.actual_end_date,
			ctimes : card.remain_times,
			ctimeflag : card.times_flag,
			cenabled : card.enabled,
			renew : 1
		}
	});
	api.hideProgress();

}

function GetCardList(fid) {
	var Url = 'client/GetCardList/?fid=' + fid;
	api.showProgress({
		style : 'default',
		animationType : 'fade',
		title : '努力加载中...',
		text : '先喝杯茶...',
		modal : true
	});
	var html = '';
	html += '<ul class="aui-list aui-media-list">';
	html += '<li class="aui-list-item"><div class="aui-media-list-item-inner">';
	html += '<div class="aui-flex-item-7 aui-list-item-inner"><div class="aui-list-item-text">';
	html += '<div class="aui-list-item-title">卡种</div>';
	html += '<div class="aui-list-item-title">卡号</div>';
	html += '<div class="aui-list-item-title">开卡日期</div>';
	html += '<div class="aui-list-item-title">结束日期</div>';
	html += '</div>';
	html += '</div></li>';

	ajaxRequestWebAPI(Url, 'GET', '', function(ret, err) {
		if (ret) {
			if (ret.length > 0) {
				cardList = ret;
				for (var i = 0; i < cardList.length; i++) {
					var card = cardList[i];
					html += '<li class="aui-list-item" onclick="pick(' + i + ')"><div class="aui-media-list-item-inner">';
					html += '<div class="aui-flex-item-7 aui-list-item-inner" ><div class="aui-list-item-text">';
					html += '<div class="aui-list-item-left">' + card.card_type_name + '</div>';
					html += '<div class="aui-list-item-right aui-pull-right">' + card.card_number + '</div>';
					html += '<div class="aui-list-item-right aui-pull-right">' + card.actual_start_date.substring(0, 10) + '</div>';
					html += '<div class="aui-list-item-right aui-pull-right">' + card.actual_end_date.substring(0, 10) + '</div>';
					html += '</div>';
					html += '</div></li>';
				}
			}
		} else {
			//html += '</ul>';
		}
		html += '</ul>';
		$api.html($api.byId('content'), html);
		api.hideProgress();
	});
}

apiready = function() {
	api.setRefreshHeaderInfo({
		visible : true,
		// loadingImgae: 'wgt://image/refresh-white.png',
		bgColor : '#f2f2f2',
		textColor : '#4d4d4d',
		textDown : '下拉刷新...',
		textUp : '松开刷新...',
		showTime : true
	}, function(ret, err) {
		api.refreshHeaderLoadDone();
		initPage();
	});
	api.parseTapmode();
	initPage();
}