apiready = function() {
    api.setRefreshHeaderInfo({
        visible: true,
        // loadingImgae: 'wgt://image/refresh-white.png',
        bgColor: '#f2f2f2',
        textColor: '#4d4d4d',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function(ret, err) {
        api.refreshHeaderLoadDone();
        initPage();
    });
    initPage();
}

function initPage() {
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '努力加载中...',
        text: '先喝杯茶...',
        modal: true
    });
    var html = '';
    html += '<ul class="aui-list aui-media-list">';
    html += '<li class="aui-list-item">';
    html += '<div class="aui-list-item-inner"><div class="aui-list-item-text">';
    html += '<div class="aui-list-item-title aui-col-xs-5">课程类别</div>';
    html += '<div class="aui-list-item-title aui-col-xs-5">课程名称</div><div class="aui-list-item-title aui-col-xs-2">价格</div></div>';
    html += '</div>';
    html += '</li>';
    var Url = 'pt/GetCourseList/';
    ajaxRequestWebAPI(Url, 'GET', '', function(ret, err) {
        if (ret) {
            //会员卡
            courseList = ret;
            if (courseList.length > 0) {
                for (var i = 0; i < courseList.length; i++) {
                    var course = courseList[i];
                    //var cardTypestr = $api.jsonToStr(cardType);
                    html += '<li class="aui-list-item">';
                    html += '<div class="aui-list-item-inner" onclick="pick(' + i + ')"><div class="aui-list-item-text">';
                    html += '<div class="aui-list-item-left aui-col-xs-5">' + course.course_kind_name + '</div>';
                    html += '<div class="aui-list-item-left aui-col-xs-5">' + course.course_name + '</div><div class="aui-list-item-right aui-col-xs-2">' + course.member_price + '</div></div>';
                    html += '</div>';
                    html += '</li>';
                }
            }
        }
        html += '</ul>';
        $api.html($api.byId('content'), html);
        api.hideProgress();
    });


}

var courseList = Array();

function pick(fid) {
    var course = JSON.stringify(courseList[fid]);
    api.openWin({
        name: 'NewPT',
        url: '../html/NewPT.html',
        pageParam: {
            course: course,
            cid: api.pageParam.cid,
            cname: api.pageParam.cname
        }
    });


}
