apiready = function() {
    api.setRefreshHeaderInfo({
        visible: true,
        // loadingImgae: 'wgt://image/refresh-white.png',
        bgColor: '#f2f2f2',
        textColor: '#4d4d4d',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function(ret, err) {
        api.refreshHeaderLoadDone();
        initPage();
        //api.execScript({
        //    frameName: 'GTeachfrm',
        //    script: 'initPage();'
        //});
    });
    initPage();
}

var sales = {
    todayCount: 1,
    todayAmount: 1000,
    weekCount: 5,
    weekAmount: 15000,
    monthCount: 50,
    monthAmount: 50000
};
function initPage() {
    var header = $api.byId('aui-header');
    var content = $api.byId('content');
    headerPos = $api.offset(header);
    contentPos = $api.offset(content);

    var Url = 'pt/GetOrgPTTeach/';
    ajaxRequestWebAPI(Url, 'GET', '', function(ret, err) {
        if (ret) {
            sales = ret;
            $api.html($api.byId('dCard'), sales.todayCount);
            $api.html($api.byId('dAmount'), sales.todayAmount);
            $api.html($api.byId('wCard'), sales.weekCount);
            $api.html($api.byId('wAmount'), sales.weekAmount);
            $api.html($api.byId('mCard'), sales.monthCount);
            $api.html($api.byId('mAmount'), sales.monthAmount);
        }
        else {
          api.alert({
              msg: err.msg,
          });
        }
        api.hideProgress();
    });
    /*
    $api.html($api.byId('dCard'), report[0].num);
    $api.html($api.byId('dAmount'), report[0].total_price + '元');
    $api.html($api.byId('wCard'), report[1].num);
    $api.html($api.byId('wAmount'), report[1].total_price + '元');
    $api.html($api.byId('mCard'), report[2].num);
    $api.html($api.byId('mAmount'), report[2].total_price + '元');
    */
    api.openFrame({
        name: 'GTeachfrm',
        url: '../html/GTeachfrm.html',
        pageParam: {
            id: api.pageParam.id
        },
        rect: {
            marginLeft: 0, //相对父 window 左外边距的距离

            marginTop: headerPos.h + contentPos.h, //相对父 window 上外边距的距离

            marginBottom: 0, //相对父 window 下外边距的距离

            marginRight: 0 //相对父 window 右外边距的距离
        }
    });
}
