apiready = function() {
	api.setRefreshHeaderInfo({
		visible : true,
		// loadingImgae: 'wgt://image/refresh-white.png',
		bgColor : '#f2f2f2',
		textColor : '#4d4d4d',
		textDown : '下拉刷新...',
		textUp : '松开刷新...',
		showTime : true
	}, function(ret, err) {
		api.refreshHeaderLoadDone();
		initPage();
	});
	initPage();
}
function initPage() {
	api.parseTapmode();
	GetList(0);
}

function GetList(ftype) {
	api.showProgress({
		style : 'default',
		animationType : 'fade',
		title : '努力加载中...',
		text : '先喝杯茶...',
		modal : true
	});
	var ftypeName = '最近一周';
	switch (ftype) {
		case 0:
			ftypeName = '最近一周';
			break;
		case 1:
			ftypeName = '最近一月';
			break;
		case 2:
			ftypeName = '全部记录';
			break;
		default:
			ftypeName = '最近一周';
			break;

	}
	var fid = api.pageParam.id;
	var Url = 'latent/GetLatentAppointList/?fid=' + fid + '&ftype=' + ftype;
	var html = '';
	var reg = new RegExp("\r\n", "g");
	html += '<ul class="aui-list aui-media-list">';
	html += '<li class="aui-list-header">';
	html += ftypeName;
	html += '</li>';
	api.showProgress({
		title : '正在加载...',
		modal : false
	});
	ajaxRequestWebAPI(Url, 'GET', '', function(ret, err) {
		if (ret) {
			//会员卡
			if (ret.length > 0) {
				for (var i = 0; i < ret.length; i++) {
					var visit = ret[i];

					html += '<li class="aui-list-item aui-list-item-arrow" onclick="ModifyRecord(\'' + visit.latent_client_appoint_id + '\')">';
					html += '<div class="aui-media-list-item-inner">';
					html += '<div class="aui-list-item-inner">';
					html += '<div class="aui-list-item-text">';
					html += '<div class="aui-list-item-title">' + visit.latent_client_name + '</div>';
					html += '<div class="aui-list-item-right">' + visit.appoint_datetime + '</div>';
					html += '</div>';
					html += '<div class="aui-list-item-text aui-ellipsis-2">';
					html += visit.note;
					//.replace(reg,'<br/>');
					html += '</div>';
					html += '</div>';
					html += '</div>';
					html += '</li>';
				}
			}
		}
		html += '</ul>';
		$api.html($api.byId('content'), html);
		api.hideProgress();
	});

}

function ModifyRecord(fid) {

	var Url = 'latent/GetAppointCanEdit/?fid='+fid;
	
	ajaxRequestWebAPI(Url, 'GET', '', function(ret, err) {
		//alert(JSON.stringify(ret));
		if (ret.Status) {
			api.openWin({
				name : 'BookLatent',
				url : '../html/BookLatent.html',
				pageParam : {
					type : 1, //0为新增，1为修改,
					fvid : fid
				}
			});
		} else {
			alert("只能修改当天的预约记录！");
			return;
		}

	});

}