apiready = function() {
    api.setRefreshHeaderInfo({
        visible: true,
        // loadingImgae: 'wgt://image/refresh-white.png',
        bgColor: '#f2f2f2',
        textColor: '#4d4d4d',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function(ret, err) {
        api.refreshHeaderLoadDone();
        initPage();
        api.execScript({
            frameName: 'MemberPTListfrm',
            script: 'initPage();'
        });
    });
    initPage();
}

function initPage() {
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '努力加载中...',
        text: '先喝杯茶...',
        modal: true
    });
    var header = $api.byId('aui-header');
    //var content = $api.byId('content');
    headerPos = $api.offset(header);
    $api.html($api.byId('title'), api.pageParam.cname+'的私教列表');
    //contentPos = $api.offset(content);
    api.openFrame({
        name: 'MemberPTListfrm',
        url: '../html/MemberPTListfrm.html',
        pageParam: {
            id: api.pageParam.id,
            cname:api.pageParam.cname
        },
        rect: {
            marginLeft: 0, //相对父 window 左外边距的距离

            marginTop: headerPos.h, //相对父 window 上外边距的距离

            marginBottom: 0, //相对父 window 下外边距的距离

            marginRight: 0 //相对父 window 右外边距的距离
        }
    });
    api.hideProgress();
}
