var clientList = Array();
var nums;
var text2 = Array();
var text3 = Array();

function initPage() {
    api.parseTapmode();



    GetCounts();
}
var Counts = {
    count1: 500,
    count3: 50,
    count4: 70,
    count5: 70,
    count6: 90,
    count7: 150,
    count8: 800,
    count9: 100,
    count10: 120,
    count11: 300,
    count12: 80


};

function GetCounts() {

    var Url = 'pt/GetClientCounts/';
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '努力加载中...',
        text: '请稍等...',
        modal: true
    });
    ajaxRequestWebAPI(Url, 'GET', '', function(ret, err) {
        if (ret) {
            Counts = ret;
            $api.html($api.byId('num0'), Counts.count0);
            $api.html($api.byId('num1'), Counts.count1);
            $api.html($api.byId('num2'), Counts.count2);
            $api.html($api.byId('num3'), Counts.count3);
            text2.push('过期有意向会员('+Counts.count4+')');
            text2.push('过期考虑中会员('+Counts.count5+')');
            text2.push('过期无意向会员('+Counts.count6+')');
            text2.push('过期未指定会员('+Counts.count7+')');

            text3.push('未购有意向会员('+Counts.count8+')');
            text3.push('未购考虑中会员('+Counts.count9+')');
            text3.push('未购无意向会员('+Counts.count10+')');
            text3.push('未购新分配会员('+Counts.count11+')');
        } else {
            api.alert({
                msg: err.msg,
            });

        }

        api.hideProgress();
    });


}

function search() {
    var content = $api.val($api.byId("search-input"));
    if (content) {

        GetSearchList(content);

    } else {
        api.alert({
            title: '搜索提示',
            msg: '您没有输入任何内容'
        });
    }
    cancelSearch();
}

function GetSearchList(fcontent) {

    var Url = 'pt/GetClientListByFilter/?filter=' + fcontent;
    var html = '';
    var sexstr = '';


    html += '<ul class="aui-list aui-media-list">';
    html += '<li class="aui-list-header">搜索内容：' + fcontent + '</li>';
    $api.html($api.byId('content'), html + '</ul>');
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '努力加载中...',
        text: '先喝杯茶...',
        modal: true
    });
    ajaxRequestWebAPI(Url, 'GET', '', function(ret, err) {
        if (ret) {


            if (ret.length > 0) {
                clientList = ret;
                for (var i = 0; i < clientList.length; i++) {
                    var client = clientList[i];
                    sexstr = '';
                    sexstr = client.sex == '男' ? '先生' : (client.sex == '女' ? '女士' : '');
                    html += '<li class="aui-list-item"><div class="aui-media-list-item-inner">';
                    html += '<div class="aui-flex-item-9 aui-list-item-inner" ><div class="aui-list-item-text" onclick="showPopup(\'bottom-left\',\'' + client.mobile + '\',\'' + client.client_id + '\',\'' + client.name + '\')">';
                    html += '<div class="aui-list-item-title">' + client.name + '</div><span>' + client.main_card_num + '<i class="aui-iconfont  aui-text-info aui-icon-date"></i>' + client.register_date + '</span></div>';
                    html += '<div class="aui-list-item-text"><div class="aui-list-item-left" >' + sexstr + '<i class="aui-iconfont aui-text-danger aui-icon-phone"></i>' + client.mobile + '</div><div class="aui-list-item-right">' + client.birthday + '</div></div>';
                    html += '</div>';
                    html += '<div class="aui-flex-item-3 aui-flex-row">';
                    html += '<span class="aui-btn aui-flex-row aui-btn-info" onclick="BookMember(\'' + client.client_id + '\')">预约</span>';
                    //html += '<span class="aui-btn aui-flex-row aui-btn-info" onclick="ModifyMember(\'' + client.client_id + '\')">修改</span>';
                    html += '<span class="aui-btn aui-btn-warning" onclick="VisitMember(\'' + client.client_id + '\',\'' + client.name + '\',\'' + client.register_date + '\')">回访</span>';
                    html += '</div></div></li>';
                }
            }
        } else {

            api.alert({
                title: '错误',
                msg: err.msg
            });

        }
        html += '</ul>';
        $api.html($api.byId('content'), html);
        api.hideProgress();
    });
}


function GetList(ftype, stype) {

    var Url = 'pt/GetClientList/?ftype=' + ftype + '&stype=' + stype;
    var html = '';
    var sexstr = '';
    var ftypeName = '';


    switch (ftype) {
        case 0:
            if (stype == '')
                ftypeName = '未购新分配';
            else
                ftypeName = '未购' + stype;
            break;
        case 1:
            ftypeName = '有效会员' + stype;
            break;
        case 2:
            if (stype == '')
                ftypeName = '卡过期未指定类型';
            else
                ftypeName = '卡过期' + stype;
            break;
        default:
            ftypeName = '有效会员';
            break;
    }


    html += '<ul class="aui-list aui-media-list">';
    html += '<li class="aui-list-header">' + ftypeName + '</li>';
    $api.html($api.byId('content'), html + '</ul>');
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '努力加载中...',
        text: '先喝杯茶...',
        modal: true
    });
    ajaxRequestWebAPI(Url, 'GET', '', function(ret, err) {
        if (ret) {


            if (ret.clientList.length > 0) {
                clientList = ret.clientList;
                for (var i = 0; i < clientList.length; i++) {
                    var client = clientList[i];
                    sexstr = '';
                    sexstr = client.sex == '男' ? '先生' : (client.sex == '女' ? '女士' : '');
                    html += '<li class="aui-list-item"><div class="aui-media-list-item-inner">';
                    html += '<div class="aui-flex-item-9 aui-list-item-inner" ><div class="aui-list-item-text" onclick="showPopup(\'bottom-left\',\'' + client.mobile + '\',\'' + client.client_id + '\',\'' + client.name + '\',' + ftype + ')">';
                    html += '<div class="aui-list-item-title">' + client.name + '</div><span>' + client.main_card_num + '<i class="aui-iconfont aui-text-info aui-icon-date"></i>' + client.register_date + '</span></div>';
                    html += '<div class="aui-list-item-text"><div class="aui-list-item-left" >' + sexstr + '<i class="aui-iconfont aui-text-danger aui-icon-phone"></i>' + client.mobile + '</div><div class="aui-list-item-right">' + client.birthday + '</div></div>';
                    html += '</div>';
                    if (ftype == 1) {

                        html += '<div class="aui-flex-item-3 aui-flex-row">';
                        html += '<span class="aui-btn aui-flex-row aui-btn-info" onclick="BookMember(\'' + client.client_id + '\',\'' + client.name + '\')">约课</span>';
                        html += '<span class="aui-btn aui-flex-row aui-btn-warning" onclick="VisitMember(\'' + client.client_id + '\',\'' + client.name + '\',\'' + client.register_date + '\')">回访</span>';
                    } else {
                        html += '<div class="aui-flex-item-3 aui-flex-row">';
                        html += '<span class="aui-btn aui-flex-row aui-flex-middle aui-btn-warning" onclick="VisitMember(\'' + client.client_id + '\',\'' + client.name + '\',\'' + client.register_date + '\')">回访</span>';
                    }


                    html += '</div></div></li>';
                }
            }
        } else {



        }
        html += '</ul>';
        $api.html($api.byId('content'), html);
        api.hideProgress();
    });
}

function showPopup(location, mobile, client_id, client_name, ftype) {
    popup.init({
        frameBounces: true, //当前页面是否弹动，（主要针对安卓端）
        location: location, //位置，top(默认：顶部中间),top-left top-right,bottom,bottom-left,bottom-right
        buttons: [{
            image: '../image/contact.png',
            text: '通话',
            value: 'phone' //可选
        }, {
            image: '../image/email_go.png',
            text: '回访记录',
            value: 'visit'
        }, {
            image: '../image/20130727031317354.png',
            text: '订单记录',
            value: 'order'
        }, {
            image: '../image/icon_tab_search_selected.png',
            text: '办卡记录',
            value: 'cardrec'
        }, {
            image: '../image/application_view_icons.png',
            text: '私教记录',
            value: 'pt'
        }, {
            image: '../image/basket_put.png',
            text: '租柜记录',
            value: 'wb'
        }, {
            image: '../image/20120610113158973.png',
            text: '充值记录',
            value: 'bal'
        }, {
            image: '../image/20120610113158973.png',
            text: '定金记录',
            value: 'dep'
        }, {
            image: '../image/icon_tab_search_selected.png',
            text: '入场记录',
            value: 'entry'
        }, {
            image: '../image/star.png',
            text: '积分记录',
            value: 'score'
        }, {
            image: '../image/note_edit.png',
            text: '私教销售',
            value: 'ptsale'
        }

        , {
            image: '../image/folder_add.png',
            text: '指定类型',
            value: 'ptsale2'
        }

      ],
    }, function(ret) {
        if (ret) {
            //alert(ret.buttonIndex);
            switch (ret.buttonIndex) {
                case 1:
                    call(mobile);
                    break;
                case 2:
                    GetVisitList(client_id, client_name);
                    break;
                case 3:
                    GetOrderList(client_id, client_name);
                    break;
                case 4:
                    GetCardRecList(client_id, client_name);
                    break;
                case 5:
                    GetPTList(client_id, client_name);
                    break;
                case 6:
                    GetWBList(client_id, client_name);
                    break;
                case 7:
                    GetBalList(client_id, client_name);
                    break;
                case 8:
                    GetDepList(client_id, client_name);
                    break;
                case 9:
                    GetEntryList(client_id, client_name);
                    break;
                case 10:
                    GetScoreList(client_id, client_name);
                    break;
                case 11:
                    SalePT(client_id, client_name);
                    break;
                case 12:
                    setType(client_id, client_name, ftype);
                    break;
                default:
                    call(mobile);
                    break;
            }
        }
    });
}

function setType(fid, fname, ftype) {
  alert(ftype);

    if (ftype == 1) {
        alert('有效会员不需要指定类型');
        return;
    };

    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '努力加载中...',
        text: '先喝杯茶...',
        modal: true
    });
    api.openWin({
        name: 'setType',
        url: '../html/setType.html',
        pageParam: {
            id: fid,
            name: fname
        }
    });
    api.hideProgress();


}

function showPopup2() {
    popup2.init({
        frameBounces: true, //当前页面是否弹动，（主要针对安卓端）
        location: 'top-left', //位置，top(默认：顶部中间),top-left top-right,bottom,bottom-left,bottom-right
        buttons: [{
            image: '../image/icon_tab_search_selected.png',
            text: text2[0],//'过期有意向会员',
            value: '1'
        }, {
            image: '../image/icon_tab_search_selected.png',
            text: text2[1],//'过期考虑中会员',
            value: '2'
        }, {
            image: '../image/icon_tab_search_selected.png',
            text: text2[2],//'过期无意向会员',
            value: '3'
        }, {
            image: '../image/icon_tab_search_selected.png',
            text: text2[3],//'过期未指定会员',
            value: '4'
        }],
    }, function(ret) {
        if (ret) {
            //alert(ret.buttonIndex);
            switch (ret.buttonIndex) {
                case 1:
                    GetList(2, '有意向');
                    break;
                case 2:
                    GetList(2, '考虑中');
                    break;
                case 3:
                    GetList(2, '无意向');
                    break;
                case 4:
                    GetList(2, '');
                    break;
                default:
                    GetList(2, '有意向');
                    break;
            }
        }
    });
}



function showPopup3() {
    popup3.init({
        frameBounces: true, //当前页面是否弹动，（主要针对安卓端）
        location: 'top-right', //位置，top(默认：顶部中间),top-left top-right,bottom,bottom-left,bottom-right
        buttons: [{
            image: '../image/icon_tab_search_selected.png',
            text: text3[0],//'未购有意向',
            value: '1' //可选
        }, {
            image: '../image/icon_tab_search_selected.png',
            text: text3[1],//'未购考虑中',
            value: '2'
        }, {
            image: '../image/icon_tab_search_selected.png',
            text: text3[2],//'未购无意向',
            value: '3'
        }, {
            image: '../image/icon_tab_search_selected.png',
            text: text3[3],//'未购新分配',
            value: '4'
        }],
    }, function(ret) {
        if (ret) {
            //alert(ret.buttonIndex);
            switch (ret.buttonIndex) {
                case 1:
                    GetList(0, '有意向');
                    break;
                case 2:
                    GetList(0, '考虑中');
                    break;
                case 3:
                    GetList(0, '无意向');
                    break;
                case 4:
                    GetList(0, '');
                    break;
                default:
                    GetList(0, '有意向');
                    break;
            }
        }
    });
}


function SalePT(client_id, client_name) {
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '努力加载中...',
        text: '先喝杯茶...',
        modal: true
    });
    api.openWin({
        name: 'Course',
        url: '../html/Course.html',
        pageParam: {
            cid: client_id,
            cname: client_name
        }
    });
    api.hideProgress();
}




function GetVisitList(l_client_id, client_name) {
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '努力加载中...',
        text: '先喝杯茶...',
        modal: true
    });
    api.openWin({
        name: 'MemberPTRecord',
        url: '../html/MemberPTRecord.html',
        pageParam: {
            id: l_client_id,
            cname: client_name
        }
    });
    api.hideProgress();
}

function GetOrderList(l_client_id, client_name) {
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '努力加载中...',
        text: '先喝杯茶...',
        modal: true
    });
    api.openWin({
        name: 'MemberOrderList',
        url: '../html/MemberOrderList.html',
        pageParam: {
            id: l_client_id,
            cname: client_name
        }
    });
    api.hideProgress();
}

function GetCardRecList(l_client_id, client_name) {
    //alert('办卡列表');
    //return;
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '努力加载中...',
        text: '先喝杯茶...',
        modal: true
    });
    api.openWin({
        name: 'CardList',
        url: '../html/CardList.html',
        pageParam: {
            cid: l_client_id,
            cname: client_name
        }
    });
    api.hideProgress();

}

function GetPTList(l_client_id, client_name) {
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '努力加载中...',
        text: '先喝杯茶...',
        modal: true
    });
    api.openWin({
        name: 'MemberPTList',
        url: '../html/MemberPTList.html',
        pageParam: {
            id: l_client_id,
            cname: client_name
        }
    });
    api.hideProgress();

}

function GetWBList(l_client_id, client_name) {
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '努力加载中...',
        text: '先喝杯茶...',
        modal: true
    });
    api.openWin({
        name: 'MemberWBList',
        url: '../html/MemberWBList.html',
        pageParam: {
            id: l_client_id,
            cname: client_name
        }
    });
    api.hideProgress();
}

function GetBalList(l_client_id, client_name) {
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '努力加载中...',
        text: '先喝杯茶...',
        modal: true
    });
    api.openWin({
        name: 'MemberBalList',
        url: '../html/MemberBalList.html',
        pageParam: {
            id: l_client_id,
            cname: client_name
        }
    });
    api.hideProgress();
}

function GetDepList(l_client_id, client_name) {
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '努力加载中...',
        text: '先喝杯茶...',
        modal: true
    });
    api.openWin({
        name: 'MemberDepList',
        url: '../html/MemberDepList.html',
        pageParam: {
            id: l_client_id,
            cname: client_name
        }
    });
    api.hideProgress();
}

function GetEntryList(l_client_id, client_name) {
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '努力加载中...',
        text: '先喝杯茶...',
        modal: true
    });
    api.openWin({
        name: 'MemberEntryList',
        url: '../html/MemberEntryList.html',
        pageParam: {
            id: l_client_id,
            cname: client_name
        }
    });
    api.hideProgress();
}

function GetScoreList(l_client_id, client_name) {
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '努力加载中...',
        text: '先喝杯茶...',
        modal: true
    });
    api.openWin({
        name: 'MemberScoreList',
        url: '../html/MemberScoreList.html',
        pageParam: {
            id: l_client_id,
            cname: client_name
        }
    });
    api.hideProgress();
}

function call(mobile) {
    if (mobile == '')
        return;
    api.call({
        type: 'tel_prompt',
        number: mobile
    });
}

//修改会员
function ModifyMember(fid) {
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '努力加载中...',
        text: '先喝杯茶...',
        modal: true
    });
    api.openWin({
        name: 'NewMember',
        url: '../html/NewMember.html',
        pageParam: {
            type: 1, //type为1表示修改会员，为0表示新增会员。
            id: fid
        }
    });
    api.hideProgress();
}

//预约会员
function BookMember(fid, fname) {
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '努力加载中...',
        text: '先喝杯茶...',
        modal: true
    });
    api.openWin({
        name: 'MemberPTBookList',
        url: '../html/MemberPTBookList.html',
        pageParam: {
            cid: fid,
            cname: fname
        }
    });
    api.hideProgress();
}

//回访会员
function VisitMember(fid, fname, register_date) {
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '努力加载中...',
        text: '先喝杯茶...',
        modal: true
    });
    api.openWin({
        name: 'VisitPTMember',
        url: '../html/VisitPTMember.html',
        pageParam: {
            type: 0,
            fvid: '',
            fid: fid,
            fname: fname,
            register_date: register_date
        }

    });
    api.hideProgress();
}

apiready = function() {

  //alert("1");
    api.setRefreshHeaderInfo({
        visible: true,
        // loadingImgae: 'wgt://image/refresh-white.png',
        bgColor: '#f2f2f2',
        textColor: '#4d4d4d',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function(ret, err) {
        api.refreshHeaderLoadDone();
        initPage();
    });
    initPage();
}
