apiready = function(){
//initPage();
}
function initPage(){
var UILineChart = api.require('UILineChart');
UILineChart.open({
    rect: {
        x: 0,
        y: 55,
        w: api.winWidth-10,
        h: api.frameHeight-75
    },
    xAxis: {
        indexs: ['一月', '二月', '三月', '四月', '五月', '六月', '七月', '八月', '九月', '十月', '十一月', '十二月',''],
        screenXcount: 12
    },
    yAxis: {
        max: 200000,
        min: 0,
        step: 20000,
        base: 0
    },
    datas: [
        [2100, 5900, 30000, 90001, 12500,14200,25100,6000,18542,81200,14620,85200],
        [35000, 65200, 20000, 75000, 89700,69500,2000,74210,88800,54213,55555,17850]
    ],
    styles: {
        xAxis: {
            bg: '#b2dfee',
            markColor: '#888',
            markSize: 12
        },
        yAxis: {
            bg: '#b2dfee',
            markColor: '#888',
            markSize: 12
        },
        coordinate: {
            bg: '#fcfcfc',
            color: '#cacaca',
            baseColor: 'bbb',
        },
        colors: ['#800080', '#7FFFAA']
    },
    fixedOn: api.frameName,
    fixed: true
}, function(ret, err) {
    if (ret) {
        //alert(JSON.stringify(ret))
        //alert(ret.nodeIndex);
        if(ret.nodeIndex!=null){
        var month = ret.nodeIndex + 1;
        var html = '';
        if(ret.lineIndex==0){
        html = '2017年'+month+'月销售总额为'+ret.value+'元！'
        }
        else
        {
        html = '2017年'+month+'月平均销售总额为'+ret.value+'元！'
        }
        alert(html);}
    } else {
        alert(JSON.stringify(err));
    }
});
}
