apiready = function() {
	if (api.systemType == 'ios') {
		$api.byId('datepicker').style.display = 'none';
	} else {
		$api.byId('datepicker').style.display = 'block';
	}

	initPage();
}
function initPage() {
	var fvid = api.pageParam.fvid;
	var ftype = api.pageParam.type;
	//alert(ftype);
	if (ftype == 1)//修改
	{
		var Url = 'pt/GetClientVisit/?fid=' + fvid;
		//alert(Url);
		api.showProgress({
			title : '正在加载...',
			modal : false
		});
		ajaxRequestWebAPI(Url, 'GET', '', function(ret, err) {
			if (ret) {
				visitClient = ret;
				//alert(JSON.stringify(visitLatent));
				$api.byId('register_date').value = ret.register_date;
				$api.byId('date').value = visitClient.visit_date.substring(0, 10);
				$api.byId('time').value = visitClient.visit_date.substring(10, 19);
				$api.byId('visit_way').value = visitClient.visit_way;
				$api.byId('name').value = visitClient.name;
				$api.byId('content').value = visitClient.content;
				$api.byId('user_name').value = visitClient.user_name;
			}
			api.hideProgress();
		});

	} else {
		visitClient.client_id = api.pageParam.fid;
		visitClient.name = api.pageParam.fname;
		$api.byId('register_date').value = api.pageParam.register_date.replace(/\T/igm, " ");
		$api.byId('date').value = visitClient.visit_date.toLocaleDateString().replace(/\//igm, "-");
		$api.byId('time').value = visitClient.visit_date.toTimeString().substring(0, 8);
		$api.byId('visit_way').value = visitClient.visit_way;
		$api.byId('name').value = visitClient.name;
		$api.byId('content').value = visitClient.content;
		$api.byId('user_name').value = visitClient.user_name;
	}
}

var date1 = new Date();
date1.setDate(date1.getDate());
function openTime() {
	if (api.systemType == 'ios') {
		api.openPicker({
			type : 'date_time',
			date : date1.toLocaleString().replace(/\//igm, "-"),
			title : '选择时间'
		}, function(ret, err) {
			if (ret) {
				if (ret.hour < 10) {
					if (ret.minute < 10) {
						$api.byId('time').value = ret.year + '-' + ret.month + '-' + ret.day + ' 0' + ret.hour + ':0' + ret.minute;
					} else {
						$api.byId('time').value = ret.year + '-' + ret.month + '-' + ret.day + ' 0' + ret.hour + ':' + ret.minute;
					}
				} else {
					if (ret.minute < 10) {
						$api.byId('time').value = ret.year + '-' + ret.month + '-' + ret.day + ' 0' + ret.hour + ':' + ret.minute;
					} else {
						$api.byId('time').value = ret.year + '-' + ret.month + '-' + ret.day + ' ' + ret.hour + ':' + ret.minute;
					}
				}
			} else {
				alert(JSON.stringify(err));
			}
		});
	} else {
		api.openPicker({
			type : 'time',
			date : date1.toLocaleTimeString(),
			title : '选择时间'
		}, function(ret, err) {
			if (ret) {
				if (ret.hour < 10) {
					if (ret.minute < 10) {
						$api.byId('time').value = '0' + ret.hour + ':0' + ret.minute;
					} else {
						$api.byId('time').value = '0' + ret.hour + ':' + ret.minute;
					}
				} else {
					if (ret.minute < 10) {
						$api.byId('time').value = ret.hour + ':0' + ret.minute;
					} else {
						$api.byId('time').value = ret.hour + ':' + ret.minute;
					}
				}
			} else {
				alert(JSON.stringify(err));
			}
		});
	}
}

function openDate() {
	api.openPicker({
		type : 'date',
		date : date1.toLocaleDateString().replace(/\//igm, "-"),
		title : '选择日期'
	}, function(ret, err) {
		if (ret) {
			$api.byId('date').value = ret.year + '-' + ret.month + '-' + ret.day;
			openTime();
		} else {
			alert(JSON.stringify(err));
		}
	});
}

var visitClient = {
	client_visit_id : '',
	organization_id : $api.getStorage('org_id'),
	organization_code : $api.getStorage('org_code'),
	client_id : '',
	name : '',
	user_id : $api.getStorage('userid'),
	user_name : $api.getStorage('username'),
	visit_date : date1,
	create_date : '',
	create_user_id : '',
	create_user_name : '',
	visit_way : '电话',
	content : ''
}

function save() {
	var Url = 'pt/SaveClientVisit/';

	if ($api.byId('content').value == '') {
		alert("内容不能为空！");
		return;

	}
	if (api.systemType == 'ios') {
		if ($api.byId('time').value == '') {
			alert("回访时间不能为空！");
			return;
		} else {
			visitClient.visit_date = $api.byId('time').value;
		}

	} else {
		if ($api.byId('date').value == '') {
			alert("回访日期不能为空！");
			return;
		} ;
		if ($api.byId('time').value == '') {
			alert("回访时间不能为空！");
			return;
		};
		visitClient.visit_date = $api.byId('date').value + 'T' + $api.byId('time').value;

	}

	visitClient.content = $api.val($api.byId('content'));
	visitClient.visit_way = $api.byId('visit_way').value;

	//alert(JSON.stringify(visitClient));
	api.showProgress({
		title : '正在保存...',
		modal : false
	});

	ajaxRequestWebAPI(Url, 'POST', JSON.stringify(visitClient), function(ret, err) {
		//alert(JSON.stringify(ret));
		if (ret) {
			if (ret.Status) {
				api.alert({
					msg : ret.Msg
				});
				api.execScript({
					name : 'MemberPT',
					frameName : 'MemberPTfrm',
					script : 'initPage();'
				});
				api.closeWin();
			} else {
				api.alert({
					msg : ret.Msg
				});
			}
		} else {
			api.alert({
				msg : err.msg
			});
		}

		api.hideProgress();
	});

}
