﻿
function openWin(name) {
    api.openWin({
        name: name,
        url: name + '.html',
        opaque: true,
        vScrollBarEnabled: false

    });
}


//格式化时间
//用法：date1 = date1.Format("yyyy-MM-dd hh:mm:ss");
Date.prototype.Format = function(fmt) { //author: meizz
    var o = {
        "M+": this.getMonth() + 1, //月份
        "d+": this.getDate(), //日
        "h+": this.getHours(), //小时
        "m+": this.getMinutes(), //分
        "s+": this.getSeconds(), //秒
        "q+": Math.floor((this.getMonth() + 3) / 3), //季度
        "S": this.getMilliseconds() //毫秒
    };
    if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
    for (var k in o)
        if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
    return fmt;
}

function compareDate(startDate, endDate) {
    var d1 = new Date(startDate.replace(/\-/g, "\/"));
    var d2 = new Date(endDate.replace(/\-/g, "\/"));
    if (d1 > d2) {
        alert("开始时间不能大于结束时间！");
        return false;
    }
    return true;
}

function DateAddMonth(date1, months) {
    var nd = new Date(date1);
    return new Date(nd.getFullYear(), (nd.getMonth()) + months, nd.getDate());
}
//日期加上天数后的新日期.
function AddDays(date, days) {
    var nd = new Date(date);
    nd = nd.valueOf();
    nd = nd + days * 24 * 60 * 60 * 1000;
    nd = new Date(nd);
    //alert(nd.getFullYear() + "年" + (nd.getMonth() + 1) + "月" + nd.getDate() + "日");
    var y = nd.getFullYear();
    var m = nd.getMonth() + 1;
    var d = nd.getDate();
    if (m <= 9)
        m = "0" + m;
    if (d <= 9)
        d = "0" + d;
    var cdate = y + "-" + m + "-" + d;
    return cdate;
}

//两个日期的差值(d1 - d2).
function DateDiff(d1, d2) {
    var day = 24 * 60 * 60 * 1000;
    try {
        var dateArr = d1.split("-");
        var checkDate = new Date();
        checkDate.setFullYear(dateArr[0], dateArr[1] - 1, dateArr[2]);
        var checkTime = checkDate.getTime();

        var dateArr2 = d2.split("-");
        var checkDate2 = new Date();
        checkDate2.setFullYear(dateArr2[0], dateArr2[1] - 1, dateArr2[2]);
        var checkTime2 = checkDate2.getTime();

        var cha = (checkTime - checkTime2) / day;
        return cha;
    } catch (e) {
        return false;
    }
} //end fun

// 两个浮点数求和
function accAdd(num1, num2) {
    var r1, r2, m;
    try {
        r1 = num1.toString().split('.')[1].length;
    } catch (e) {
        r1 = 0;
    }
    try {
        r2 = num2.toString().split(".")[1].length;
    } catch (e) {
        r2 = 0;
    }
    m = Math.pow(10, Math.max(r1, r2));
    // return (num1*m+num2*m)/m;
    return Math.round(num1 * m + num2 * m) / m;
}

// 两个浮点数相减
function accSub(num1, num2) {
    var r1, r2, m;
    try {
        r1 = num1.toString().split('.')[1].length;
    } catch (e) {
        r1 = 0;
    }
    try {
        r2 = num2.toString().split(".")[1].length;
    } catch (e) {
        r2 = 0;
    }
    m = Math.pow(10, Math.max(r1, r2));
    n = (r1 >= r2) ? r1 : r2;
    return (Math.round(num1 * m - num2 * m) / m).toFixed(n);
}

// 两数相除
function accDiv(num1, num2) {
    var t1, t2, r1, r2;
    try {
        t1 = num1.toString().split('.')[1].length;
    } catch (e) {
        t1 = 0;
    }
    try {
        t2 = num2.toString().split(".")[1].length;
    } catch (e) {
        t2 = 0;
    }
    r1 = Number(num1.toString().replace(".", ""));
    r2 = Number(num2.toString().replace(".", ""));
    return (r1 / r2) * Math.pow(10, t2 - t1);
}

// 浮点数相乘
function accMul(num1, num2) {
    var m = 0,
        s1 = num1.toString(),
        s2 = num2.toString();
    try {
        m += s1.split(".")[1].length
    } catch (e) {};
    try {
        m += s2.split(".")[1].length
    } catch (e) {};
    return Number(s1.replace(".", "")) * Number(s2.replace(".", "")) / Math.pow(10, m);
}

/*
 * 加入购物车
 */
function openAddCart(cart) {

    var posturl = 'carts/';
    ajaxRequestWebAPI(posturl, 'POST', JSON.stringify(cart), function(ret, err) {
        if (ret) {
            api.alert({
                title: '消息提醒',
                msg: '已加入购物车！'
            });
        } else {

        }
    });

};

function openAddCart2(fproductid) {
    var posturl = 'carts/';

    cart.fID = '';
    cart.fQty = 1;
    cart.fPruductID = fproductid;

    //alert(JSON.stringify(cart));
    ajaxRequestWebAPI(posturl, 'POST', JSON.stringify(cart), function(ret, err) {
        //alert(JSON.stringify(ret));
        if (ret) {
            //alert(JSON.stringify(ret));
            api.alert({
                title: '消息提醒',
                msg: '已加入购物车！'
            });
        } else {

        }
    });

}

var carts = Array();

var cart = {
    fID: '',
    fPruductID: '',
    fName: '',
    fImage: '',
    fMemo: '',
    fType: '',
    fQty: 0,
    fPrice: 0,
    fOPrice: 0,
    fAmount: 0
};

//user

function openCoach(id) {
    api.openWin({
        name: 'coach' + id,
        url: '../html/coach.html',
        pageParam: {
            coachid: id
        }
    });
}

function openPlace(id) {
    api.openWin({
        name: 'place' + id,
        url: '../html/place.html',
        pageParam: {
            placeid: id
        }
    });
}

function delWord(el) {
    var input = $api.prev(el, '.txt');
    input.value = '';
}

function edit(el) {
    var del = $api.next(el, '.del');
    if (el.value) {
        $api.addCls(del, 'show');
    }
    $api.addCls(el, 'light');
}

function cancel(el) {
    var del = $api.next(el, '.del');
    $api.removeCls(del, 'show');
    $api.removeCls(el, 'light');
}

function addData(data, str) {
    if (!data) {
        data = str;
    } else {
        if (data.indexOf(str) > -1) {
            return;
        } else {
            data = data + ',' + str;
        }
    }

    return data;
}

function SHA1(msg) {

    function rotate_left(n, s) {
        var t4 = (n << s) | (n >>> (32 - s));
        return t4;
    };

    function lsb_hex(val) {
        var str = "";
        var i;
        var vh;
        var vl;

        for (i = 0; i <= 6; i += 2) {
            vh = (val >>> (i * 4 + 4)) & 0x0f;
            vl = (val >>> (i * 4)) & 0x0f;
            str += vh.toString(16) + vl.toString(16);
        }
        return str;
    };

    function cvt_hex(val) {
        var str = "";
        var i;
        var v;

        for (i = 7; i >= 0; i--) {
            v = (val >>> (i * 4)) & 0x0f;
            str += v.toString(16);
        }
        return str;
    };

    function Utf8Encode(string) {
        string = string.replace(/\r\n/g, "\n");
        var utftext = "";

        for (var n = 0; n < string.length; n++) {

            var c = string.charCodeAt(n);

            if (c < 128) {
                utftext += String.fromCharCode(c);
            } else if ((c > 127) && (c < 2048)) {
                utftext += String.fromCharCode((c >> 6) | 192);
                utftext += String.fromCharCode((c & 63) | 128);
            } else {
                utftext += String.fromCharCode((c >> 12) | 224);
                utftext += String.fromCharCode(((c >> 6) & 63) | 128);
                utftext += String.fromCharCode((c & 63) | 128);
            }

        }

        return utftext;
    };

    var blockstart;
    var i, j;
    var W = new Array(80);
    var H0 = 0x67452301;
    var H1 = 0xEFCDAB89;
    var H2 = 0x98BADCFE;
    var H3 = 0x10325476;
    var H4 = 0xC3D2E1F0;
    var A, B, C, D, E;
    var temp;

    msg = Utf8Encode(msg);

    var msg_len = msg.length;

    var word_array = new Array();
    for (i = 0; i < msg_len - 3; i += 4) {
        j = msg.charCodeAt(i) << 24 | msg.charCodeAt(i + 1) << 16 | msg.charCodeAt(i + 2) << 8 | msg.charCodeAt(i + 3);
        word_array.push(j);
    }

    switch (msg_len % 4) {
        case 0:
            i = 0x080000000;
            break;
        case 1:
            i = msg.charCodeAt(msg_len - 1) << 24 | 0x0800000;
            break;

        case 2:
            i = msg.charCodeAt(msg_len - 2) << 24 | msg.charCodeAt(msg_len - 1) << 16 | 0x08000;
            break;

        case 3:
            i = msg.charCodeAt(msg_len - 3) << 24 | msg.charCodeAt(msg_len - 2) << 16 | msg.charCodeAt(msg_len - 1) << 8 | 0x80;
            break;
    }

    word_array.push(i);

    while ((word_array.length % 16) != 14)
        word_array.push(0);

    word_array.push(msg_len >>> 29);
    word_array.push((msg_len << 3) & 0x0ffffffff);

    for (blockstart = 0; blockstart < word_array.length; blockstart += 16) {

        for (i = 0; i < 16; i++)
            W[i] = word_array[blockstart + i];
        for (i = 16; i <= 79; i++)
            W[i] = rotate_left(W[i - 3] ^ W[i - 8] ^ W[i - 14] ^ W[i - 16], 1);

        A = H0;
        B = H1;
        C = H2;
        D = H3;
        E = H4;

        for (i = 0; i <= 19; i++) {
            temp = (rotate_left(A, 5) + ((B & C) | (~B & D)) + E + W[i] + 0x5A827999) & 0x0ffffffff;
            E = D;
            D = C;
            C = rotate_left(B, 30);
            B = A;
            A = temp;
        }

        for (i = 20; i <= 39; i++) {
            temp = (rotate_left(A, 5) + (B ^ C ^ D) + E + W[i] + 0x6ED9EBA1) & 0x0ffffffff;
            E = D;
            D = C;
            C = rotate_left(B, 30);
            B = A;
            A = temp;
        }

        for (i = 40; i <= 59; i++) {
            temp = (rotate_left(A, 5) + ((B & C) | (B & D) | (C & D)) + E + W[i] + 0x8F1BBCDC) & 0x0ffffffff;
            E = D;
            D = C;
            C = rotate_left(B, 30);
            B = A;
            A = temp;
        }

        for (i = 60; i <= 79; i++) {
            temp = (rotate_left(A, 5) + (B ^ C ^ D) + E + W[i] + 0xCA62C1D6) & 0x0ffffffff;
            E = D;
            D = C;
            C = rotate_left(B, 30);
            B = A;
            A = temp;
        }

        H0 = (H0 + A) & 0x0ffffffff;
        H1 = (H1 + B) & 0x0ffffffff;
        H2 = (H2 + C) & 0x0ffffffff;
        H3 = (H3 + D) & 0x0ffffffff;
        H4 = (H4 + E) & 0x0ffffffff;

    }

    var temp = cvt_hex(H0) + cvt_hex(H1) + cvt_hex(H2) + cvt_hex(H3) + cvt_hex(H4);

    return temp.toLowerCase();

}

function CheckLogin(url) {
    var UserID = $api.getStorage('uid');
    if (!UserID && url.indexOf("login") < 0) {
        api.toast({
            msg: '请先登录',
            location: 'middle'
        });
        api.openWin({
            name: 'login',
            url: '../../html/main/userLogin.html',
            opaque: true,
            vScrollBarEnabled: false
        });
        api.closeWin();
        return false;
    }
    return true;
}

//收藏
function Collect(objectid, objecttype) {

    var url = 'collects/';
    var urlParam = {
        collect_id: '',
        object_id: objectid,
        collect_type: objecttype
    };

    ajaxRequestWebAPI(url, 'POST', JSON.stringify(urlParam), function(ret, err) {
        if (ret.Status) {
            api.alert({
                title: '消息提醒',
                msg: '收藏成功！'
            }, function(ret, err) {
                //coding...
            });
            $api.addCls($api.byId('collect1'), 'aui-icon-favorfill');
            $api.removeCls($api.byId('collect1'), 'aui-icon-favor');
        } else {
            api.alert({
                title: '错误提示',
                msg: ret.Msg + '收藏失败！'
            }, function(ret, err) {
                //coding...
            });
        }
    });
}

//取消收藏

function UnCollect(collectid) {

    var url = 'collects/UnCollect/';
    var urlParam = {
        collect_id: collectid
    };

    ajaxRequestWebAPI(url, 'POST', JSON.stringify(urlParam), function(ret, err) {
        if (ret.Status) {
            api.alert({
                title: '消息提醒',
                msg: '取消收藏成功！'
            }, function(ret, err) {
                //coding...
            });

            $api.addCls($api.byId('collect1'), 'aui-icon-favor');
            $api.removeCls($api.byId('collect1'), 'aui-icon-favorfill');

        } else {
            api.alert({
                title: '错误提示',
                msg: ret.Msg + '取消收藏失败！'
            }, function(ret, err) {
                //coding...
            });
        }
    });
}

///取消预约

function UnBook(courseid, title) {
    //增加确认提醒

    api.confirm({
        title: '注意',
        msg: '你确定要取消课程：' + title + '吗？',
        buttons: ['确定', '取消']
    }, function(ret, err) {
        if (ret) {
            if (ret.buttonIndex == 1) {
                var url = 'appoints/cancelbook/';
                var urlParam = {
                    curr_sche_detail_id: courseid
                };

                ajaxRequestWebAPI(url, 'POST', JSON.stringify(urlParam), function(ret, err) {
                    if (ret) {
                        if (ret.Status) {
                            api.alert({
                                title: '消息提示',
                                msg: '您已成功取消课程【' + title + '】！'
                            }, function(ret, err) {
                                //coding...
                            });

                            $api.removeCls($api.byId('bookbtn'), 'aui-btn-danger');
                            $api.addCls($api.byId('bookbtn'), 'aui-btn-success');
                            $api.html($api.byId('bookbtn'), '预订课程');

                        } else {
                            api.alert({
                                title: '错误提示',
                                msg: ret.Msg + '课程【' + title + '】取消预约失败！'
                            }, function(ret, err) {
                                //coding...
                            });
                        }
                    }
                });
            }
        } else {
            alert(JSON.stringify(err));
        }
    });
    return;
}

function getWebAddress() {

    var web_url = 'http://114.215.68.131/kherpwork/';
    //var web_url = 'http://122.114.112.128/kherp/';
    //var web_url = 'http://192.168.1.188/webapi/';
    //var web_url = 'http://192.168.168.168/webapi/';
    return web_url;
}

function ajaxRequestWebAPI(url, method, bodyParam, callBack) {

    var common_url = getWebAddress() + 'api/';

    var appId = 'A6943181748620';
    var key = '22339771-9192-9F99-0C6E-F6CF8B5EBC32';

    var deviceId = $api.getStorage('deviceId');
    var IPAddress = $api.getStorage('deviceId');
    var MACAddress = $api.getStorage('deviceId');
    var now = Date.now();
    var appKey = SHA1(appId + "UZ" + key + "UZ" + now) + "." + now;
    var UserID = $api.getStorage('UserLoginID');
    var userName = encodeURI($api.getStorage('username'));
    var traderid = $api.getStorage('userid');
    //"C69A975A-1B54-452B-90B7-2AF5732505B5";
    var companyid = $api.getStorage('org_id');
    //"1C5DFF19-86E0-4681-9197-3EFFBF4693A9";
    var CompanyCode = $api.getStorage('org_code');
    var cmark = $api.getStorage('coach');
    var cdmark = $api.getStorage('cmanage');
    api.ajax({
        url: common_url + url,
        method: method,
        cache: false,
        timeout: 20,
        headers: {
            "Content-type": "application/json;charset=UTF-8",
            "AppUserID": UserID,
            "AppCoachMark": cmark,
            "AppCoachDirectorMark": cdmark,
            "X-APICloud-AppId": appId,
            "AppTraderID": traderid,
            "AppCompanyID": companyid,
            "AppUserName": userName,
            "AppDeviceID": deviceId,
            "AppIPAddress": IPAddress,
            "AppMACAddress": MACAddress,
            "AppCompanyCode": CompanyCode,
            "X-APICloud-AppKey": appKey
        },
        data: {
            body: bodyParam
        }
    }, function(ret, err) {
        callBack(ret, err);
    });
}

function ajaxRequest(url, method, bodyParam, callBack) {
    var common_url = 'https://d.apicloud.com/mcm/api';
    var appId = 'A6933809565976';
    var key = '01D07A32-61AD-E860-C435-E718AEC53822';
    var now = Date.now();
    var appKey = SHA1(appId + "UZ" + key + "UZ" + now) + "." + now;

    api.ajax({
        url: common_url + url,
        method: method,
        cache: false,
        timeout: 20,
        headers: {
            "Content-type": "application/json;charset=UTF-8",
            "X-APICloud-AppId": appId,
            "X-APICloud-AppKey": appKey
        },
        data: {
            body: bodyParam
        }
    }, function(ret, err) {
        callBack(ret, err);
    });
}

// 主页面切换frame
var changeFrameInRoot = function(index) {
    api.execScript({
        name: 'root',
        script: 'changeIndexFrame(' + index + ')'
    });
};
// 主页面切换frame end

// 用于链接到淘宝链接
var toDetail = function(obj) {
    var url = $api.attr(obj, 'data-url');
    var title = $api.attr(obj, 'data-title');

    api.execScript({
        name: 'root',
        script: 'indexToDetail("' + title + '","' + url + '")'
    });
};
//
// 打开分类列表
var openClassify = function() {
    api.execScript({
        name: 'root',
        script: 'indexOpenClassify()'
    });
};
//
// 语音识别
var openSpeechRec = function() {
    api.execScript({
        name: 'root',
        script: 'indexOpenSpeechRec()'
    });
};
//
// 二维码
var openScanner = function() {
    api.execScript({
        name: 'root',
        script: 'indexOpenScanner()'
    });
};
//
// 通用header的window
var openCommon2 = function(name, title) {
    //alert(typename);
    api.execScript({
        name: 'root',
        script: 'indexOpenCommon2("' + name + '","' + title + '")'
    });
}
var openCommon = function(name, title, typename) {
    //alert(typename);
    api.execScript({
        name: 'root',
        script: 'indexOpenCommon("' + name + '","' + title + '","' + typename + '")'
    });
}
var openNewsDetail = function(name, title, content) {
        //alert(typename);
        api.execScript({
            name: 'root',
            script: 'indexOpenNews("' + name + '","' + title + '","' + content + '")'
        });
    }
    // 打开分享浮动窗口
var openShareframe = function() {

        api.execScript({
            name: 'root',
            script: 'indexOpenShareframe()'
        });
    }
    //
    // 请先登录提示
var showToast = function() {
    api.toast({
        msg: '请先登录',
        duration: 2000,
        location: 'middle'
    });
};

//favorite
function collect(el, type) {
    var userid = $api.getStorage('userid');
    //login
    if (!userid) {
        api.openWin({
            name: 'userLogin',
            url: '../html/userLogin.html',
            opaque: true,
            vScrollBarEnabled: false
        });
        return;
    }

    //news id, activity id, merchant id
    var thisId = $api.attr(el, 'course-id') || $api.attr(el, 'coach-id');

    var userFavUrl = '/user/' + userid + '/' + type;
    var bodyParam = {};
    switch (type) {
        case 'course_fav':
            bodyParam['course'] = thisId;
            break;
        case 'coach_fav':
            bodyParam['coach'] = thisId;
            break;
    }
    ajaxRequest(userFavUrl, 'post', JSON.stringify(bodyParam), function(ret, err) {
        if (ret) {
            $api.html(el, "已收藏");
            $(el).off('click').on('click', function() {
                uncollect(type, ret.id, this);
            })
        } else {
            api.toast({
                msg: '收藏失败'
            })
        }
    })
}

function uncollect(_class, id, el) {
    try {
        var deleteAct_favById = '/' + _class + '/' + id;
        ajaxRequest(deleteAct_favById, 'delete', '', function(ret, err) {
            if (ret) {
                $api.html(el, "收藏");
                $(el).off('click').on('click', function() {
                    collect(this, _class);
                })
            } else {
                api.toast({
                    msg: '操作失败'
                })
            }
        })
    } catch (e) {
        alert(e)
    }

}

/**
 * Created by Administrator on 2014/12/17.
 */
/**
 *
 *  Secure Hash Algorithm (SHA1)
 *  http://www.webtoolkit.info/
 *
 **/
