//var tab;

var title = '首页';
var Url = 'home';

apiready = function() {
    api.parseTapmode();
    var userid = $api.getStorage('userid');
    if (!userid) {
        api.openWin({
            name: 'userLogin',
            url: './html/userLogin.html',
            opaque: true,
            vScrollBarEnabled: false,
			slidBackEnabled:false
        });
        return;
    };



    changeFooter(title, Url);
    var backSecond = 0;
    api.addEventListener({
        name: 'keyback'
    }, function(ret, err) {
        var curSecond = (new Date().getTime()) / 1000;
        if (Math.abs(curSecond - backSecond) > 2) {
            backSecond = curSecond;
            api.toast({
                msg: '再按一次退出',
                duration: 2000,
                location: 'bottom'
            });
        } else {
            api.closeWidget({
                id: api.appId, //这里改成自己的应用ID
                retData: {
                    name: 'closeWidget'
                },
                silent: true
            });
        }

    });
}

var tab = new auiTab({
    element: document.getElementById("footer")
}, function(ret) {
    if (ret) {
        switch (ret.index) {
            case 1:
                title = '首页';
                Url = 'home';
                break;
            case 2:
                if ($api.getStorage('mship') != 1) {
                    alert('您没有权限操作会籍管理相关业务');
                    return;
                }
                title = '会籍管理';
                Url = 'Membership';
                break;
            case 3:
                if ($api.getStorage('coach') != 1) {
                    alert('您没有权限操作私教管理相关业务');
                    return;
                }
                title = '私教管理';
                Url = 'pt';
                break;
            case 4:
                if ($api.getStorage('manager') != 1) {
                    alert('您没有权限操作管理报表相关业务');
                    return;
                }
                title = '管理报表';
                Url = 'rpt';
                break;
            case 5:
                title = '个人中心';
                Url = 'my';
                break;
            default:
                title = '首页';
                Url = 'home';
                break;
        }

        changeFooter(title, Url);
    }
});

function changeFooter(title, furl) {
    var header = $api.byId('aui-header');
    headerPos = $api.offset(header);
    var footer = $api.byId('footer');
    footerPos = $api.offset(footer);
    $api.html($api.byId('title'), title);
    api.openFrame({
        name: furl,
        url: './html/' + furl + '.html',
        rect: {
            marginLeft: 0, //相对父 window 左外边距的距离
            marginTop: headerPos.h, //相对父 window 上外边距的距离
            marginBottom: footerPos.h, //相对父 window 下外边距的距离
            marginRight: 0
        }
    });

}
