function exit() {

	api.actionSheet({
		cancelTitle : '取消',
		buttons : ['退出登录']
	}, function(ret, err) {
		if (ret) {
			//alert( JSON.stringify( ret ) );
			if (ret.buttonIndex == 1) {
				api.showProgress({
					title : '正在注销...',
					modal : false
				});
				$api.clearStorage();

				//$api.clearStorage();
				api.hideProgress();
				if (api.systemType == 'ios') {
					api.openWin({
						name : 'login',
						url : '../html/userLogin.html',
						opaque : true,
						vScrollBarEnabled : false,
						slidBackEnabled : false
					});
				} else {
					api.openWin({
						name : 'login',
						url : '../html/userLogin.html',
						opaque : true,
						vScrollBarEnabled : false,
					});
				}
			} else {
				return;
			}
		} else {
			alert(JSON.stringify(err));
		}
	});

}

apiready = function() {
	api.showProgress({
		title : '正在加载...',
		modal : false
	});
	api.setStatusBarStyle({
		style : 'dark',
		color : '#000'
	});
	
	api.setRefreshHeaderInfo({
		visible : true,
		// loadingImgae: 'wgt://image/refresh-white.png',
		bgColor : '#f2f2f2',
		textColor : '#4d4d4d',
		textDown : '下拉刷新...',
		textUp : '松开刷新...',
		showTime : true
	}, function(ret, err) {
		api.refreshHeaderLoadDone();
		initPage();
	});
	
	
	initPage();

	api.hideProgress();
};

function initPage() {
	var Url = 'outlook/GetMyData?client_id=' + $api.getStorage('userid');
	var html1 = '';
	var html2 = '';
	var html3 = '';
	var mship='否';
	
	if ($api.getStorage('mship')==1) 
		mship='是';
	$api.html($api.byId('name'), $api.getStorage('username') + '-' + $api.getStorage('org_name'));
	$api.html($api.byId('email'), $api.getStorage('UserPhone'));
	html1 += '<li class="aui-list-header">个人信息</li>';
	html1 += '<li class="aui-list-item">';
	html1 += '<div class="aui-list-item-inner">';
	html1 += '<div class="aui-list-item-title">姓名</div>';
	html1 += '<div class="aui-list-item-right">' + $api.getStorage('username') + '</div>';
	html1 += '</div>';
	html1 += '</li>';

	html1 += '<li class="aui-list-item">';
	html1 += '<div class="aui-list-item-inner">';
	html1 += '<div class="aui-list-item-title">手机</div>';
	html1 += '<div class="aui-list-item-right">' + $api.getStorage('UserPhone') + '</div>';
	html1 += '</div>';
	html1 += '</li>';

	html1 += '<li class="aui-list-item">';
	html1 += '<div class="aui-list-item-inner">';
	html1 += '<div class="aui-list-item-title">生日</div>';
	html1 += '<div class="aui-list-item-right">' + $api.getStorage('UserBirthday') + '</div>';
	html1 += '</div>';
	html1 += '</li>';

	html1 += '<li class="aui-list-item">';
	html1 += '<div class="aui-list-item-inner">';
	html1 += '<div class="aui-list-item-title">邮箱</div>';
	html1 += '<div class="aui-list-item-right">' + $api.getStorage('UserMail') + '</div>';
	html1 += '</div>';
	html1 += '</li>';

	html1 += '<li class="aui-list-item">';
	html1 += '<div class="aui-list-item-inner">';
	html1 += '<div class="aui-list-item-title">住址</div>';
	html1 += '<div class="aui-list-item-right">' + $api.getStorage('UserAddress') + '</div>';
	html1 += '</div>';
	html1 += '</li>';

	html1 += '<li class="aui-list-item">';
	html1 += '<div class="aui-list-item-inner">';
	html1 += '<div class="aui-list-item-title">帐号</div>';
	html1 += '<div class="aui-list-item-right">' + $api.getStorage('UserLoginID') + '</div>';
	html1 += '</div>';
	html1 += '</li>';

	html1 += '<li class="aui-list-item">';
	html1 += '<div class="aui-list-item-inner">';
	html1 += '<div class="aui-list-item-title">会籍</div>';
	html1 += '<div class="aui-list-item-right">' +  mship + '</div>';
	html1 += '</div>';
	html1 += '</li>';
	
	

	$api.html($api.byId('info'), html1);

}

function ModifyPass() {
	api.openWin({
		name : 'changePass',
		url : '../html/changePass.html'
	});
}

function MyPocket() {
	api.openWin({
		name : 'MyPocket',
		url : '../html/MyPocket.html'
	});
}