var cardList = Array();

function initPage() {
	var client_id = api.pageParam.cid;
	var client_name = api.pageParam.cname;
	GetCardList(client_id);

}


function GetCardList(fid) {
	var Url = 'client/GetCardList/?fid=' + fid;
	api.showProgress({
		style : 'default',
		animationType : 'fade',
		title : '努力加载中...',
		text : '先喝杯茶...',
		modal : true
	});
	var html = '';
	var htmlh = '';
	html += '<ul class="aui-list aui-media-list">';

	htmlh += '<li class="aui-list-item"><div class="aui-media-list-item-inner">';
	htmlh += '<div class="aui-flex-item-7 aui-list-item-inner"><div class="aui-list-item-text">';
	htmlh += '<div class="aui-list-item-title">卡种</div>';
	htmlh += '<div class="aui-list-item-title">卡号</div>';
	htmlh += '<div class="aui-list-item-title">开卡日期</div>';
	htmlh += '<div class="aui-list-item-title">结束日期</div>';
	htmlh += '<div class="aui-list-item-title">状态</div>';
	htmlh += '</div>';
	htmlh += '</div></li>';

	ajaxRequestWebAPI(Url, 'GET', '', function(ret, err) {
		if (ret) {
			if (ret.length > 0) {
				cardList = ret;
				for (var i = 0; i < cardList.length; i++) {
					var card = cardList[i];
					html += htmlh;
					//状态(-2-未付款;-1-已付款未指定卡号;0-已付款未激活;1-正常;2-过期失效;3-次数归0;4-转店;5-退卡;6-其他失效)
					var strstatus = '';
					strstatus=card.status==-2?'未付款':card.status==-1?'已付款无卡号':card.status==0?'已付款未激活':
					card.status==2?'过期失效':card.status==3?'次数归0':card.status==4?'转店'
					:card.status==5?'退卡':card.status==6?'其他失效':'正常';
					html += '<li class="aui-list-item"><div class="aui-media-list-item-inner">';
					html += '<div class="aui-flex-item-12 aui-list-item-inner" ><div class="aui-list-item-text">';
					html += '<div class="aui-list-item-left">' + card.card_type_name + '</div>';
					html += '<div class="aui-list-item-right aui-pull-right">' + card.card_number + '</div>';
					html += '<div class="aui-list-item-right aui-pull-right">' + card.actual_start_date.substring(0, 10) + '</div>';
					html += '<div class="aui-list-item-right aui-pull-right">' + card.actual_end_date.substring(0, 10) + '</div>';
					html += '<div class="aui-list-item-right aui-pull-right">' + strstatus + '</div>';
					html += '</div>';
					html += '</div></li>';

					html += '<li class="aui-list-item"><div class="aui-media-list-item-inner">';
					html += '<div class="aui-flex-item-12 aui-list-item-inner" ><div class="aui-list-item-text">';

					if (card.times_flag==1)
						html += '<div class="aui-list-item-left">共' + card.total_times + '次剩'+card.remain_times+'次</div>';
						else {
							html += '<div class="aui-list-item-left"></div>';
						}

					html += '<div class="aui-list-item-right aui-pull-right">' + card.amount + '元</div>';
					html += '<div class="aui-list-item-right aui-pull-right">业务日期' + card.bussiness_date.substring(0, 10) + '</div>';
					html += '<div class="aui-list-item-right aui-pull-right">缴费日期' + card.payment_time.substring(0, 10) + '</div>';
					html += '</div>';
					html += '</div></li>';
				}
			}
		} else {
			//html += '</ul>';
		}
		html += '</ul>';
		$api.html($api.byId('content'), html);
		api.hideProgress();
	});
}

apiready = function() {
	api.setRefreshHeaderInfo({
		visible : true,
		// loadingImgae: 'wgt://image/refresh-white.png',
		bgColor : '#f2f2f2',
		textColor : '#4d4d4d',
		textDown : '下拉刷新...',
		textUp : '松开刷新...',
		showTime : true
	}, function(ret, err) {
		api.refreshHeaderLoadDone();
		initPage();
	});
	api.parseTapmode();
	initPage();
}
