apiready = function() {
    api.setRefreshHeaderInfo({
        visible: true,
        // loadingImgae: 'wgt://image/refresh-white.png',
        bgColor: '#f2f2f2',
        textColor: '#4d4d4d',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function(ret, err) {
        api.refreshHeaderLoadDone();
        initPage();
    });
    initPage();
}

function initPage() {
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '努力加载中...',
        text: '先喝杯茶...',
        modal: true
    });
    var html = '';
    html += '<ul class="aui-list aui-media-list">';
    html += '<li class="aui-list-item">';
    html += '<div class="aui-list-item-inner"><div class="aui-list-item-text">';
    html += '<div class="aui-list-item-title aui-col-xs-6">卡种名称</div>';
    html += '<div class="aui-list-item-title aui-col-xs-3">标准价</div><div class="aui-list-item-title aui-col-xs-3">续卡价</div></div>';
    html += '</div>';
    html += '</li>';
    var Url = 'client/GetCardTypeList/';
    ajaxRequestWebAPI(Url, 'GET', '', function(ret, err) {
        if (ret) {
            //会员卡
            cardTypeList = ret;
            if (cardTypeList.length > 0) {
                for (var i = 0; i < cardTypeList.length; i++) {
                    var cardType = cardTypeList[i];
                    var cardTypestr = $api.jsonToStr(cardType);
                    html += '<li class="aui-list-item">';
                    html += '<div class="aui-list-item-inner" onclick="pick(' + i + ')"><div class="aui-list-item-text">';
                    html += '<div class="aui-list-item-left aui-col-xs-6">' + cardType.card_type_name + '</div>';
                    html += '<div class="aui-list-item-left aui-col-xs-3">' + cardType.price + '</div><div class="aui-list-item-right aui-col-xs-3">' + cardType.price_renew + '</div></div>';
                    html += '</div>';
                    html += '</li>';
                }
            }
        }
        html += '</ul>';
        $api.html($api.byId('content'), html);
        api.hideProgress();
    });


}

var cardTypeList = [];

function pick(fid) {
    var cardType1 = JSON.stringify(cardTypeList[fid]);
    //alert(cardType1);
    api.openWin({
        name: 'NewCard',
        url: '../html/NewCard.html',
        pageParam: {
            cardType1: cardType1,
            cid: api.pageParam.cid,
            cardid: api.pageParam.cardid,
            cname: api.pageParam.cname,
            cnumber: api.pageParam.cnumber,
            cenddate: api.pageParam.cenddate,
            ctimes: api.pageParam.ctimes,
            ctimeflag: api.pageParam.ctimeflag,
            cenabled: api.pageParam.cenabled,
            renew: api.pageParam.renew
        }
    });
}
