apiready = function() {
	api.setRefreshHeaderInfo({
		visible : true,
		// loadingImgae: 'wgt://image/refresh-white.png',
		bgColor : '#f2f2f2',
		textColor : '#4d4d4d',
		textDown : '下拉刷新...',
		textUp : '松开刷新...',
		showTime : true
	}, function(ret, err) {
		api.refreshHeaderLoadDone();
		initPage();
	});
	initPage();
}


function initPage() {
	api.parseTapmode();
	//读取分类数量，然后更新页面类别数量
	var Url = 'latent/GetTypeNums/';
	//alert(Url);
	ajaxRequestWebAPI(Url, 'GET', '', function(ret, err) {
		//alert(JSON.stringify(ret));
		if (ret) {
			latentTypeNums = ret;
			$api.html($api.byId('numA'), latentTypeNums.numA);
			$api.html($api.byId('numB'), latentTypeNums.numB);
			$api.html($api.byId('numC'), latentTypeNums.numC);
			$api.html($api.byId('numD'), latentTypeNums.numD);
			$api.html($api.byId('numE'), latentTypeNums.numE);
			$api.html($api.byId('numF'), latentTypeNums.numF);
			$api.html($api.byId('numM'), latentTypeNums.numM);
		} else {
			api.alert({
				msg : err.msg
			});
		}
	});

}

var latentTypeNums = {
	numA : 0,
	numB : 0,
	numC : 0,
	numD : 0,
	numE : 0,
	numF : 0,
	numM : 0
};


function search() {
	var content = $api.val($api.byId("search-input"));
	if (content) {

		GetSearchList(content);

	} else {
		api.alert({
			title : '搜索提示',
			msg : '您没有输入任何内容'
		});
	}
	cancelSearch();
}

function GetSearchList(content)
{
	api.showProgress({
		style : 'default',
		animationType : 'fade',
		title : '努力加载中...',
		text : '先喝杯茶...',
		modal : true
	});

	var html = '';
	html += '<ul class="aui-list aui-media-list">';
	//html += '<div class="aui-badge">'+fnum+'</div>';
	html += '<li class="aui-list-header">搜索内容：' + content ;

	var Url = 'latent/GetLatentClientListBySearch/?fiter=' + content;

	ajaxRequestWebAPI(Url, 'GET', '', function(ret, err) {
		if (ret) {
			//会员卡
			if (ret.length > 0) {
				for (var i = 0; i < ret.length; i++) {
					var latent = ret[i];
					//$api.setStorage(latent.latent_client_id,latent);
					html += '<li class="aui-list-item"><div class="aui-media-list-item-inner">';
					//html += '<div class="aui-list-item-media aui-flex-item-2"><img onclick="" src="../image/aui/demo4.png"></div>';
					html += '<div class="aui-flex-item-9 aui-list-item-inner"  onclick="showPopup(\'bottom-left\',\'' + latent.latent_client_id + '\',\'' + latent.latent_client_category + '\')"><div class="aui-list-item-text">';
					html += '<div class="aui-list-item-title">' + latent.name + '</div></div>';
					html += '<div class="aui-list-item-text"><i class="aui-iconfont aui-text-danger aui-icon-phone"></i>' + latent.mobile + '</div>';
					html += '</div>';
					if (latent.latent_client_category != '会员') {
						html += '<div class="aui-flex-item-3 aui-flex-row">';
						//html += '<span class="aui-btn aui-flex-row aui-btn-info" onclick="ModifyLatent(\'' + latent.latent_client_id + '\')">修改</span>';
						html += '<span class="aui-btn aui-flex-row aui-btn-success" onclick="BookLatent(\'' + latent.latent_client_id + '\',\'' + latent.name + '\',\'' + latent.latent_client_category + '\',\'' + latent.register_date + '\',\'' + latent.mobile + '\')">预约</span>';
						html += '<span class="aui-btn aui-flex-row aui-btn-warning" onclick="VisitLatent(\'' + latent.latent_client_id + '\',\'' + latent.name + '\',\'' + latent.latent_client_category + '\',\'' + latent.register_date + '\',\'' + latent.mobile + '\')">回访</span>';
						html += '</div>';
					}
					html += '</div></li>';

				}
				html += '</ul>';
				$api.html($api.byId('content'), html);
			} else {
				html += '%>_<%找不到【' + content + '】潜在会员信息！';
				html += '</ul>';
				$api.html($api.byId('content'), html);
			}
		} else {
			html += '%>_<%找不到【' + content + '】潜在会员信息！';
			html += '</ul>';
			$api.html($api.byId('content'), html);
		}
		api.hideProgress();
	});


}
function change(latent_client_category) {
	api.showProgress({
		style : 'default',
		animationType : 'fade',
		title : '努力加载中...',
		text : '先喝杯茶...',
		modal : true
	});
	var ftype = '';
	var fnumName = '';
	switch(latent_client_category) {
		case 'A':
			ftype = '迫切';
			fnum = latentTypeNums.numA;
			break;
		case 'B':
			ftype = '一般';
			fnum = latentTypeNums.numB;
			break;
		case 'C':
			ftype = '考虑';
			fnum = latentTypeNums.numC;
			break;
		case 'D':
			ftype = '不迫切';
			fnum = latentTypeNums.numD;
			break;
		case 'E':
			ftype = '未指定';
			fnum = latentTypeNums.numE;
			break;
		case 'F':
			ftype = '无效';
			fnum = latentTypeNums.numF;
			break;
		case 'M':
			ftype = '会员';
			fnum = latentTypeNums.numM;
			break;
		default:
			ftype = '迫切';
			fnum = latentTypeNums.numA;
			break;
	}

	var html = '';
	html += '<ul class="aui-list aui-media-list">';
	//html += '<div class="aui-badge">'+fnum+'</div>';
	html += '<li class="aui-list-header">' + ftype + '<span class="aui-label aui-label-info">' + fnum + '</span></li>';

	var Url = 'latent/?ftype=' + ftype;

	ajaxRequestWebAPI(Url, 'GET', '', function(ret, err) {
		if (ret) {
			//会员卡
			if (ret.length > 0) {
				for (var i = 0; i < ret.length; i++) {
					var latent = ret[i];
					//$api.setStorage(latent.latent_client_id,latent);
					html += '<li class="aui-list-item"><div class="aui-media-list-item-inner">';
					//html += '<div class="aui-list-item-media aui-flex-item-2"><img onclick="" src="../image/aui/demo4.png"></div>';
					html += '<div class="aui-flex-item-9 aui-list-item-inner"  onclick="showPopup(\'bottom-left\',\'' + latent.latent_client_id + '\',\'' + ftype+ '\')"><div class="aui-list-item-text">';
					html += '<div class="aui-list-item-title">' + latent.name + '</div></div>';
					html += '<div class="aui-list-item-text"><i class="aui-iconfont aui-text-danger aui-icon-phone"></i>' + latent.mobile + '</div>';
					html += '</div>';
					if (ftype != '会员') {
						html += '<div class="aui-flex-item-3 aui-flex-row">';
						//html += '<span class="aui-btn aui-flex-row aui-btn-info" onclick="ModifyLatent(\'' + latent.latent_client_id + '\')">修改</span>';
						html += '<span class="aui-btn aui-flex-row aui-btn-success" onclick="BookLatent(\'' + latent.latent_client_id + '\',\'' + latent.name + '\',\'' + ftype + '\',\'' + latent.register_date + '\',\'' + latent.mobile + '\')">预约</span>';
						html += '<span class="aui-btn aui-flex-row aui-btn-warning" onclick="VisitLatent(\'' + latent.latent_client_id + '\',\'' + latent.name + '\',\'' + ftype + '\',\'' + latent.register_date + '\',\'' + latent.mobile + '\')">回访</span>';
						html += '</div>';
					}
					html += '</div></li>';

				}
				html += '</ul>';
				$api.html($api.byId('content'), html);
			} else {
				html += '%>_<%找不到' + ftype + '类潜在会员信息！';
				html += '</ul>';
				$api.html($api.byId('content'), html);
			}
		} else {
			html += '%>_<%找不到' + ftype + '类潜在会员信息！';
			html += '</ul>';
			$api.html($api.byId('content'), html);
		}
	});

	api.hideProgress();
}

function ModifyLatent(l_client_id,ftype) {
	if (ftype=='会员')
	{
		alert('已转为会员，不能修改');
		return;
	}

	api.showProgress({
		style : 'default',
		animationType : 'fade',
		title : '努力加载中...',
		text : '先喝杯茶...',
		modal : true
	});
	api.openWin({
		name : 'NewLatent',
		url : '../html/NewLatent.html',
		pageParam : {
			type : 1, //type为1表示修改潜在会员，为0表示新增潜在会员。
			latent_client_id : l_client_id
		}
	});
	api.hideProgress();
}

function GetVisitList(l_client_id){
	api.showProgress({
		style : 'default',
		animationType : 'fade',
		title : '努力加载中...',
		text : '先喝杯茶...',
		modal : true
	});
	api.openWin({
		name : 'LatentRecord',
		url : '../html/LatentRecord.html',
		pageParam : {
			id : l_client_id
		}
	});
	api.hideProgress();

}


function GetAppointList(l_client_id){
	api.showProgress({
		style : 'default',
		animationType : 'fade',
		title : '努力加载中...',
		text : '先喝杯茶...',
		modal : true
	});
	api.openWin({
		name : 'LatentAppointList',
		url : '../html/LatentAppointList.html',
		pageParam : {
			id : l_client_id
		}
	});
	api.hideProgress();

}

//预约
function BookLatent(l_client_id, l_client_name, ftype, reg_date, mobile) {
	api.showProgress({
		style : 'default',
		animationType : 'fade',
		title : '努力加载中...',
		text : '先喝杯茶...',
		modal : true
	});
	api.openWin({
		name : 'BookLatent',
		url : '../html/BookLatent.html',
		pageParam : {
			fid : l_client_id,
			fname : l_client_name,
			ftype : ftype,
			reg_date : reg_date,
			mobile : mobile,
			fvid:'',
			type:0
		}
	});
	api.hideProgress();
}

//回访
function VisitLatent(l_client_id, l_client_name, ftype, reg_date, mobile) {
	api.showProgress({
		style : 'default',
		animationType : 'fade',
		title : '努力加载中...',
		text : '先喝杯茶...',
		modal : true
	});
	api.openWin({
		name : 'VisitLatent',
		url : '../html/VisitLatent.html',
		pageParam : {
			fid : l_client_id,
			fname : l_client_name,
			ftype : ftype,
			reg_date : reg_date,
			mobile : mobile,
			fvid:'',
			type:0
		}
	});
	api.hideProgress();
}
