apiready = function() {
    api.showProgress({
        title: '正在加载...',
        modal: false
    });
    api.setStatusBarStyle({
        style: 'dark',
        color: '#000'
    });
    initPage();

    api.hideProgress();
};

function initPage() {
    var Url = 'outlook/GetMySalary/';

    var htmlall = '';
    htmlall += '<div class="aui-card-list">';
    htmlall += '<div class="aui-card-list-content-padded aui-border-b aui-border-t">';

    htmlall += '<div class="aui-row aui-row-padded aui-border-b aui-border-t">';
    htmlall += '<div class="aui-col-xs-2">年</div>';
    htmlall += '<div class="aui-col-xs-2">月</div>';
    htmlall += '<div class="aui-col-xs-2">应发</div>';
    htmlall += '<div class="aui-col-xs-2">奖金</div>';
    htmlall += '<div class="aui-col-xs-2">扣款</div>';
    htmlall += '<div class="aui-col-xs-2">实发</div>';
    htmlall += '</div>';

    ajaxRequestWebAPI(Url, 'GET', '', function(ret, err) {
        //alert(JSON.stringify(ret));
        if (ret) {
            for (var i = 0; i< ret.length; i++) {
                htmlall += '<div class="aui-row aui-row-padded aui-border-b aui-border-t">';
						    htmlall += '<div class="aui-col-xs-2">'+ret[i].FYear+'</div>';
						    htmlall += '<div class="aui-col-xs-2">'+ret[i].FPeriod+'</div>';
						    htmlall += '<div class="aui-col-xs-2">'+ret[i].FPayAmount+'</div>';
						    htmlall += '<div class="aui-col-xs-2">'+ret[i].FAddAmount+'</div>';
						    htmlall += '<div class="aui-col-xs-2">'+ret[i].FDeAmount+'</div>';
						    htmlall += '<div class="aui-col-xs-2">'+ret[i].FActAmount+'</div>';
                htmlall += '</div>';
            }
        }


        $api.html($api.byId('content'), htmlall);
        api.hideProgress();
    });

}
