apiready = function() {

	var latentid = api.pageParam.LatentID;

	if (latentid != '') {
		var Url = 'latent/GetLatent/?fid=' + latentid;
		//alert(Url);
		ajaxRequestWebAPI(Url, 'GET', '', function(ret, err) {
			//alert(JSON.stringify(ret));
			if (ret) {
				latent = ret;
				$api.byId('name').value = ret.name;
				$api.byId('birthday').value = ret.birthday.substring(0, 10)=='0001-01-01'?'':ret.birthday.substring(0, 10);
				$api.byId('id_number').value = ret.id_number;
				$api.byId('occupation').value = ret.occupation;
				//$api.byId('latent_client_source').value = ret.latent_client_source;
				$api.byId('mobile').value = ret.mobile;
				$api.byId('tel').value = ret.tel;
				$api.byId('company').value = ret.company;
				$api.byId('address').value = ret.address;
				$api.byId('note').value = ret.note;
				$api.byId('latent_client_category').value = ret.latent_client_category;
				$api.byId('sex').value = ret.sex;
				$api.byId('latent_client_source').value = ret.latent_client_source;
				$api.byId('member_consultant_name').value = ret.member_consultant_name;

			} else {
				api.alert({
					msg : err.msg
				});
			}
		});
	} else {
		
		$api.byId('latent_client_category').value = latent.latent_client_category;
		$api.byId('sex').value = latent.sex;
		$api.byId('latent_client_source').value = latent.latent_client_source;
		$api.byId('member_consultant_name').value = latent.member_consultant_name;
	}

}
function SaveLatent() {
	if ($api.byId('name').value == '') {
		alert("姓名不能为空！")
	} else {
		if ($api.byId('mobile').value == '') {
			alert("手机不能为空！")
		} else {
			var Url = 'latent/SaveLatent/';
			latent.name = $api.byId('name').value;
			latent.sex = $api.byId('sex').value;
			latent.birthday = $api.byId('birthday').value;
			latent.id_number = $api.byId('id_number').value;
			latent.occupation = $api.byId('occupation').value;
			latent.latent_client_source = $api.byId('latent_client_source').value;
			latent.mobile = $api.byId('mobile').value;
			latent.tel = $api.byId('tel').value;
			latent.company = $api.byId('company').value;
			latent.address = $api.byId('address').value;
			latent.note = $api.byId('note').value;
			latent.latent_client_category = $api.byId('latent_client_category').value;

			api.showProgress({
				title : '正在保存...',
				modal : false
			});

			ajaxRequestWebAPI(Url, 'POST', JSON.stringify(latent), function(ret, err) {
				//alert(JSON.stringify(ret));
				if (ret) {
					if (ret.Status) {
						api.alert({
							msg : ret.Msg
						});
						api.execScript({
							name : 'Latent',
							frameName : 'Latentfrm',
							script : 'initPage();'
						});
						api.closeWin();
					} else {
						api.alert({
							msg : ret.Msg
						});
					}
				} else {
					api.alert({
						msg : err.msg
					});
				}

				api.hideProgress();
			});
		}
	}
}

var latent = {
	latent_client_id : '',
	name : '',
	sex : '男',
	birthday : '',
	id_number : '',
	occupation : '',
	latent_client_source : '外拓',
	latent_client_category : '迫切',
	mobile : '',
	member_consultant_id : $api.getStorage('userid'),
	member_consultant_name : $api.getStorage('username'),
	organization_id : $api.getStorage('org_id'),
	organization_code : $api.getStorage('org_code'),
	tel : '',
	company : '',
	address : '',
	note : '',
	create_date : '',
	create_user_id : '',
	create_user_name : '',
	modify_date : '',
	modify_user_id : '',
	modify_user_name : ''
};

var oldlatent = {
	latent_client_id : '',
	name : '',
	sex : '男',
	birthday : '',
	id_number : '',
	occupation : '',
	latent_client_source : '外拓',
	latent_client_category : '迫切',
	mobile : '',
	member_consultant_id : $api.getStorage('userid'),
	member_consultant_name : $api.getStorage('username'),
	organization_id : $api.getStorage('org_id'),
	organization_code : $api.getStorage('org_code'),
	tel : '',
	company : '',
	address : '',
	note : '',
	create_date : '',
	create_user_id : '',
	create_user_name :'',
	modify_date : '',
	modify_user_id : '',
	modify_user_name : ''

};
var date1 = new Date();
date1.setDate(date1.getDate());
function openDate() {
	api.openPicker({
		type : 'date',
		date : date1,
		title : '选择日期'
	}, function(ret, err) {
		if (ret) {
			$api.byId('birthday').value = ret.year + '-' + ret.month + '-' + ret.day;
		} else {
			alert(JSON.stringify(err));
		}
	});
}