
var Member = {
	main_card_num : '',
	name : '',
	sex : '',
	id_number : '',
	birthday : '',
	member_consultant_name : $api.getStorage("username"),
	mobile : '',
	tel : '',
	emergency_contact : '',
	note : '',
	client_id : '',
	organization_id : $api.getStorage("org_id"),
	organization_code : $api.getStorage("org_code"),
	register_date : '',
	nation : '中国',
	nationality : '汉族',
	address : '',
	zip_code : '',
	company : '',
	occupation : '',
	native_place : '',
	education : '',
	marriage : '',
	wechat : '',
	qq : '',
	email : '',
	latent_client_id : '',
	registrar_id : '',
	registrar : '',
	member_consultant_id : $api.getStorage("userid"),
	create_date : '',
	create_user_id : $api.getStorage("userid"),
	create_user_name : $api.getStorage("username")

};


apiready = function() {

	initPage();
}




function initPage() {
	var ftype = api.pageParam.type;
	var fid = api.pageParam.id;
	if (ftype == 1) {

		var Url = 'client/GetClient/?fid=' + fid;
		api.showProgress({
			style : 'default',
			animationType : 'fade',
			title : '努力加载中...',
			text : '先喝杯茶...',
			modal : true
		});
		ajaxRequestWebAPI(Url, 'GET', '', function(ret, err) {
			if (ret) {
				Member = ret;
				//alert(JSON.stringify(Member));
				$api.html($api.byId('client_name'), '<input id="name" type="text" value="' + Member.name + '" readonly="true">');
				$api.byId('main_card_num').value = Member.main_card_num;
				//$api.byId('name').value = Member.name;
				$api.byId('sex').value = Member.sex;
				$api.byId('id_number').value = Member.id_number;
				$api.byId('birthday').value = Member.birthday.substring(0, 10);
				$api.byId('member_consultant_name').value = Member.member_consultant_name;
				$api.byId('mobile').value = Member.mobile;
				$api.byId('tel').value = Member.tel;
				$api.byId('emergency_contact').value = Member.emergency_contact;
				$api.byId('note').value = Member.note;
				$api.byId('nation').value = Member.nation;
				$api.byId('nationality').value = Member.nationality;
				$api.byId('address').value = Member.address;
				$api.byId('zip_code').value = Member.zip_code;
				$api.byId('company').value = Member.company;
				$api.byId('occupation').value = Member.occupation;
				$api.byId('native_place').value = Member.native_place;
				$api.byId('education').value = Member.education;
				$api.byId('marriage').value = Member.marriage;
				$api.byId('wechat').value = Member.wechat;
				$api.byId('qq').value = Member.qq;
				$api.byId('email').value = Member.email;

			}
			api.hideProgress();
		});

	} else {
		if (ftype==2){
			Member.name=api.pageParam.name;
			Member.latent_client_id=api.pageParam.id;
			Member.mobile=api.pageParam.mobile;
		}
		$api.html($api.byId('client_name'), '<input id="name" type="text" placeholder="请输入姓名">');
		//$api.byId('main_card_num').value = Member.main_card_num;
		$api.byId('name').value = Member.name;
		$api.byId('sex').value = Member.sex;
		$api.byId('id_number').value = Member.id_number;
		$api.byId('birthday').value = Member.birthday;
		$api.byId('member_consultant_name').value = Member.member_consultant_name;
		$api.byId('mobile').value = Member.mobile;
		$api.byId('tel').value = Member.tel;
		$api.byId('emergency_contact').value = Member.emergency_contact;
		$api.byId('note').value = Member.note;
		$api.byId('nation').value = Member.nation;
		$api.byId('nationality').value = Member.nationality;
		$api.byId('address').value = Member.address;
		$api.byId('zip_code').value = Member.zip_code;
		$api.byId('company').value = Member.company;
		$api.byId('occupation').value = Member.occupation;
		$api.byId('native_place').value = Member.native_place;
		$api.byId('education').value = Member.education;
		$api.byId('marriage').value = Member.marriage;
		$api.byId('wechat').value = Member.wechat;
		$api.byId('qq').value = Member.qq;
		$api.byId('email').value = Member.email;
	}
}


function SaveMember() {

	if ($api.byId('name').value == '') {
		alert("姓名不能为空！");
		return;
	};

	if ($api.byId('mobile').value == '') {
		alert("手机不能为空！");
		return;
	};

	//alert($api.byId('nation').value);
	Member.name = $api.byId('name').value;
	Member.sex = $api.byId('sex').value;
	Member.nation = $api.byId('nation').value;
	Member.mobile = $api.byId('mobile').value;
	Member.tel = $api.byId('tel').value;
	Member.emergency_contact = $api.byId('emergency_contact').value;
	Member.id_number = $api.byId('id_number').value;
	Member.birthday = $api.byId('birthday').value;
	Member.member_consultant_name = $api.byId('member_consultant_name').value;
	//Member.coach_name = $api.byId('coach').value;
	Member.note = $api.byId('note').value;
	Member.nationality = $api.byId('nationality').value;

	Member.address = $api.byId('address').value;
	Member.zip_code = $api.byId('zip_code').value;
	Member.company = $api.byId('company').value;
	Member.occupation = $api.byId('occupation').value;
	Member.native_place = $api.byId('native_place').value;
	Member.education = $api.byId('education').value;
	Member.marriage = $api.byId('marriage').value;
	Member.wechat = $api.byId('wechat').value;
	Member.qq = $api.byId('qq').value;
	Member.email = $api.byId('email').value;

	//alert(JSON.stringify(Member));
	var Url = 'client/';

	api.showProgress({
		style : 'default',
		animationType : 'fade',
		title : '正在保存...',
		text : '请稍等...',
		modal : true
	});
	ajaxRequestWebAPI(Url, 'POST', JSON.stringify(Member), function(ret, err) {
	//alert(JSON.stringify(ret));
		if (ret) {
			if (ret.Status) {

				api.alert({
					msg : ret.Msg
				});

				//alert("保存成功！");
				api.execScript({
					name : 'Member',
					frameName : 'Memberfrm',
					script : 'initPage();'
				});
				api.closeWin({
					name : 'LatentIndex'
				});
				api.closeWin();
			} else {
				api.alert({
					msg : ret.Msg
				});
			}
		} else {
			api.alert({
				msg : err.msg
			});
		}

		api.hideProgress();
	});

}

var date1 = new Date();
date1.setDate(date1.getDate());
function openDate() {
	api.openPicker({
		type : 'date',
		date : date1,
		title : '选择日期'
	}, function(ret, err) {
		if (ret) {
			$api.byId('birthday').value = ret.year + '-' + ret.month + '-' + ret.day;
		} else {
			alert(JSON.stringify(err));
		}
	});
}
