var course = {};
var coursecoachList = Array();
var CardRec = {
    ptcurr_sche_id: '',
    organization_id: $api.getStorage('org_id'),
    organization_code: $api.getStorage('org_code'),
    ptcurr_sche_name: '',
    client_list: '',
    client_name_list: '',
    begin_date: '',
    end_date: '',
    audit_flag: '',
    auditor_id: $api.getStorage('userid'),
    auditor: $api.getStorage('username'),
    audit_comments: '',
    total_courses: 1,
    remain_courses: 0,
    responsible_person_id: $api.getStorage('userid'),
    responsible_person: $api.getStorage('username'),
    total_price: 0,
    total_course_cost: 0,
    limited_course_num_flag: 0,
    status: 0,
    remain_price: 0,
    actual_total_price: 0,
    renew_flag: 0,
    actual_begin_date: '',
    actual_end_date: '',
    description: '',
    create_date: '',
    create_user_id: $api.getStorage('userid'),
    create_user_name: $api.getStorage('username'),
    modify_user_id: '',
    modify_user_name: ''
};

function initPage() {
    course = $api.strToJson(api.pageParam.course);
    var Url = 'pt/GetCourseCoachList/?fid=' + course.course_id;

    var html = '';
    html += '<select id="auditor_id">';
    //alert("1");

    ajaxRequestWebAPI(Url, 'GET', '', function(ret, err) {
        //alert("3");
        //alert(JSON.stringify(ret));
        if (ret) {
            coursecoachList = ret;
            if (coursecoachList.length > 0) {
                for (var i = 0; i < coursecoachList.length; i++) {
                    html += '<option value ="' + coursecoachList[i].coach_id + '">' + coursecoachList[i].coach_name + '</option>';
                }
            }

        } else {

        }
        html += '</select>';
        //alert(html);
        $api.html($api.byId('auditor1'), html);
        CardRec.client_list = api.pageParam.cid;
        //alert("2");
        CardRec.client_name_list = api.pageParam.cname;
        CardRec.ptcurr_sche_name = CardRec.client_name_list + '的私教课程';
        CardRec.modify_user_id = course.course_id;
        CardRec.modify_user_name = course.course_name;
        CardRec.total_course_cost = course.member_price;
        CardRec.remain_price = course.member_price;
        //$api.byId('summary').value = cardType.summary;
        $api.byId('client_name_list').value = CardRec.client_name_list;
        $api.byId('ptcurr_sche_name').value = CardRec.ptcurr_sche_name;
        $api.byId('total_course_cost').value = CardRec.total_course_cost;
        $api.byId('auditor_id').value = CardRec.auditor_id;
        $api.byId('remain_price').value = CardRec.remain_price;
        $api.byId('actual_total_price').value = CardRec.remain_price;
        $api.byId('responsible_person').value = CardRec.responsible_person;
        $api.byId('course_kind_name').value = course.course_kind_name;
        $api.byId('course_title').value = course.course_name;
        //$api.byId('end_date').value = course.end_date;
        $api.byId('total_courses').value = CardRec.total_courses;

    });



    //alert(JSON.stringify(CardRec));

}

function Caculate() {
    //alert("2");
    $api.byId('actual_total_price').value = accMul($api.byId('remain_price').value, $api.byId('total_courses').value);

};



function SavePT() {

    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '正在保存...',
        text: '请稍后...',
        modal: true
    });

    //alert("1");
    if ($api.byId('auditor_id').value == '') {
        alert("教练不能为空！");
        return;
    }

    if ($api.byId('ptcurr_sche_name').value == '') {
        alert("课表名称不能为空！");
        return;
    }
    if ($api.byId('total_courses').value == '' || parseInt($api.byId('total_courses').value) <= '0') {
        alert("课时数不能为空或零及负数！");
        return;
    }

    if ($api.byId('remain_price').value == '' || parseInt($api.byId('remain_price').value) <= '0') {
        alert("成交价不能为空或零及负数！");
        return;
    }

    CardRec.total_courses = $api.byId('total_courses').value;
    if (course.fee_flag == 1) {
        CardRec.actual_total_price = $api.byId('actual_total_price').value;
        CardRec.total_course_cost = course.member_price;
        CardRec.remain_price = $api.byId('remain_price').value;
        CardRec.total_price = accMul(CardRec.total_courses, course.member_price);
    } else {
        CardRec.total_course_cost = 0;
        CardRec.actual_total_price = 0;
        CardRec.total_price = 0;
        CardRec.remain_price = 0;
    }
    CardRec.ptcurr_sche_name = $api.byId('ptcurr_sche_name').value;
    CardRec.auditor_id = $api.byId('auditor_id').value;
    CardRec.auditor = coursecoachList[$api.byId('auditor_id').selectedIndex].coach_name;
    CardRec.description = $api.byId('description').value;
    //alert($api.byId('auditor_id').value);
    //alert($api.byId('auditor_id').selectedIndex);
    //alert(JSON.stringify(CardRec));
    var Url = 'pt/SaveNewPT/';
    //return;
    ajaxRequestWebAPI(Url, 'POST', JSON.stringify(CardRec), function(ret, err) {
        if (ret) {
            if (ret.Status) {
                api.alert({
                    msg: ret.Msg
                });

                //alert("保存成功！");
                api.execScript({
                    name: 'MemberPT',
                    frameName: 'MemberPTfrm',
                    script: 'initPage();'
                });
                api.closeWin({
                    name: 'Course'
                });
                api.closeWin();
            } else {
                api.alert({
                    msg: ret.Msg
                });
            }
        } else {
            api.alert({
                msg: err.msg
            });
        }
    });

}

apiready = function() {

    initPage();
}
