var date1 = new Date();
date1.setDate(date1.getDate());

apiready = function() {
    api.setRefreshHeaderInfo({
        visible: true,
        // loadingImgae: 'wgt://image/refresh-white.png',
        bgColor: '#f2f2f2',
        textColor: '#4d4d4d',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function(ret, err) {
        api.refreshHeaderLoadDone();
        initPage();
        api.execScript({
            name: 'SSale',
            frameName: 'SSalefrm',
            script: 'initPage();'
        });
    });

    $api.byId('end_date').value = date1.toLocaleDateString().replace(/\//igm, "-");
    $api.byId('start_date').value = $api.byId('end_date').value.substring(0, $api.byId('end_date').value.length - 2) + '01';
    initPage();
}




function openDate(fid) {
    var currdate = date1;
    if ($api.byId(fid).value != '')
        currdate = $api.byId(fid).value;
    api.openPicker({
        type: 'date',
        date: currdate,
        title: '选择日期'
    }, function(ret, err) {
        if (ret) {
            var fmonth = ret.month > 9 ? ret.month : '0' + ret.month;
            var fday = ret.day > 9 ? ret.day : '0' + ret.day;
            $api.byId(fid).value = ret.year + '-' + fmonth + '-' + fday;
            //getData()
        } else {
            alert(JSON.stringify(err));
        }
    });
}



var sales = {
    todayCount: 1,
    todayAmount: 1000,
    weekCount: 5,
    weekAmount: 15000,
    monthCount: 50,
    monthAmount: 50000
};

var shopSales = [{
        shop_name: '富田店',
        //top_num: 1,
        dayAmount: 12000,
        allAmount: 220000
    }, {
        shop_name: '福田游泳馆',
        //top_num: 2,
        dayAmount: 20000,
        allAmount: 180000
    }, {
        shop_name: '陇海店',
        //top_num: 3,
        dayAmount: 15000,
        allAmount: 160000
    }, {
        shop_name: '长江店',
        //top_num: 4,
        dayAmount: 9000,
        allAmount: 120000
    }

];




function initPage() {
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '努力加载中...',
        text: '先喝杯茶...',
        modal: true
    });


    var htmlall = '';
    var htmldetail = '';
    htmlall += '<div class="aui-card-list">';
    htmlall += '<div class="aui-card-list-content-padded aui-border-b aui-border-t">';

    htmlall += '<div class="aui-row aui-row-padded aui-border-b aui-border-t">';
    htmlall += '<div class="aui-col-xs-4">门店</div>';
    htmlall += '<div class="aui-col-xs-2">排行</div>';
    htmlall += '<div class="aui-col-xs-3">当日</div>';
    htmlall += '<div class="aui-col-xs-3">累计</div>';
    htmlall += '</div>';
    //alert("1");


    var Url = 'client/GetTopShopList/?start_date=' + $api.byId('start_date').value + '&end_date=' + $api.byId('end_date').value;
    //alert("2");
    ajaxRequestWebAPI(Url, 'GET', '', function(ret, err) {
      //alert(JSON.stringify(ret));
        if (ret) {

            //shopSales = ret.TopList;
            var detailList = ret.DetailList;
            


            for (var j = 0; j < detailList.length; j++) {

              htmlall += '<div class="aui-row aui-row-padded aui-border-b aui-border-t">';
              htmlall += '<div class="aui-col-xs-4">' + detailList[j].shop_name + '</div>';
              htmlall += '<div class="aui-col-xs-2">' + (j + 1) + '</div>';
              htmlall += '<div class="aui-col-xs-3">' + detailList[j].daySumAmount + '</div>';
              htmlall += '<div class="aui-col-xs-3">' + detailList[j].allSumAmount + '</div>';
              htmlall += '</div>';

                htmldetail += '<div class="aui-card-list">';
                htmldetail += '<div class="aui-card-list-header aui-border-b aui-border-t">第'+(j+1)+'名:' + detailList[j].shop_name + '</div>';
                htmldetail += '<div class="aui-card-list-content-padded aui-border-b aui-border-t">';
                htmldetail += '	<div class="aui-row aui-row-padded aui-border-b aui-border-t">';
                htmldetail += '	<div class="aui-col-xs-6">业务类别</div>';
                htmldetail += '		<div class="aui-col-xs-3">当日</div>';
                htmldetail += '	<div class="aui-col-xs-3">累计</div></div>';
                htmldetail += '		<div class="aui-row aui-row-padded aui-border-b aui-border-t">';
                htmldetail += '<div class="aui-col-xs-6">会籍</div>';
                htmldetail += '<div class="aui-col-xs-3">' + detailList[j].dayCardAmount + '</div>';
                htmldetail += '	<div class="aui-col-xs-3">' + detailList[j].allCardAmount + '</div></div>';
                htmldetail += '<div class="aui-row aui-row-padded aui-border-b aui-border-t">';
                htmldetail += '	<div class="aui-col-xs-6">私教</div>';
                htmldetail += '	<div class="aui-col-xs-3" >' + detailList[j].dayPTAmount + '</div>';
                htmldetail += '	<div class="aui-col-xs-3"  >' + detailList[j].allPTAmount + '</div></div>';
                htmldetail += '<div class="aui-row aui-row-padded aui-border-b aui-border-t">';
                htmldetail += '	<div class="aui-col-xs-6">水吧</div>';
                htmldetail += '	<div class="aui-col-xs-3">' + detailList[j].dayProductAmount + '</div>';
                htmldetail += '	<div class="aui-col-xs-3">' + detailList[j].allProductAmount + '</div></div>';
                htmldetail += '<div class="aui-row aui-row-padded aui-border-b aui-border-t">';
                htmldetail += '	<div class="aui-col-xs-6">柜租金</div>';
                htmldetail += '	<div class="aui-col-xs-3" >' + detailList[j].dayWBRentAmount + '</div>';
                htmldetail += '		<div class="aui-col-xs-3" >' + detailList[j].allWBRentAmount + '</div></div>';
                htmldetail += '	<div class="aui-row aui-row-padded aui-border-b aui-border-t">';
                htmldetail += '		<div class="aui-col-xs-6">柜押金</div>';
                htmldetail += '		<div class="aui-col-xs-3" >' + detailList[j].dayWBBondAmount + '</div>';
                htmldetail += '	<div class="aui-col-xs-3">' + detailList[j].allWBBondAmount + '</div></div>';
                htmldetail += '	<div class="aui-row aui-row-padded aui-border-b aui-border-t">';
                htmldetail += '		<div class="aui-col-xs-6">其他</div>';
                htmldetail += '		<div class="aui-col-xs-3">' + detailList[j].dayOtherAmount + '</div>';
                htmldetail += '		<div class="aui-col-xs-3" >' + detailList[j].allOtherAmount + '</div></div>';
                htmldetail += '	<div class="aui-row aui-row-padded aui-bg-default aui-border-b aui-border-t">';
                htmldetail += '		<div class="aui-col-xs-6">合计</div>';
                htmldetail += '		<div class="aui-col-xs-3" >' + detailList[j].daySumAmount + '</div>';
                htmldetail += '		<div class="aui-col-xs-3" >' + detailList[j].allSumAmount + '</div></div>';
                htmldetail += '	<div class="aui-row aui-row-padded aui-border-b aui-border-t">';
                htmldetail += '		<div class="aui-col-xs-6">收款</div>';
                htmldetail += '		<div class="aui-col-xs-3" >' + detailList[j].dayRecieveAmount + '</div>';
                htmldetail += '		<div class="aui-col-xs-3" >' + detailList[j].allRecieveAmount + '</div></div>';
                htmldetail += '	<div class="aui-row aui-row-padded">';
                htmldetail += '		<div class="aui-col-xs-6">到场</div>';
                htmldetail += '		<div class="aui-col-xs-3" >' + detailList[j].dayEntryCount + '</div>';
                htmldetail += '		<div class="aui-col-xs-3" >' + detailList[j].allEntryCount + '</div></div></div></div>';
            }

            htmlall += '<div class="aui-row aui-row-padded aui-bg-default aui-text-info">';
            htmlall += '<div class="aui-col-xs-4">累计</div>';
            htmlall += '<div class="aui-col-xs-2"></div>';
            htmlall += '<div class="aui-col-xs-3">' + ret.AllSum.dayAmount + '</div>';
            htmlall += '<div class="aui-col-xs-3">' + ret.AllSum.allAmount + '</div>';
            htmlall += '</div>';

        }
        htmlall += '</div></div>';
        $api.html($api.byId('allcontent'), htmlall);


        $api.html($api.byId('content'), htmldetail);
        //  $api.html($api.byId('dCard'), sales.todayCount);
        //  $api.html($api.byId('dAmount'), sales.todayAmount);
        //  $api.html($api.byId('wCard'), sales.weekCount);
        //  $api.html($api.byId('wAmount'), sales.weekAmount);
        //  $api.html($api.byId('mCard'), sales.monthCount);
        //    $api.html($api.byId('mAmount'), sales.monthAmount);
        api.hideProgress();
    });





    /*
    var Url = 'pt/GetPersonPTSales/';
    ajaxRequestWebAPI(Url, 'GET', '', function(ret, err) {
        if (ret) {
            sales = ret;
            $api.html($api.byId('dCard'), sales.todayCount);
            $api.html($api.byId('dAmount'), sales.todayAmount);
            $api.html($api.byId('wCard'), sales.weekCount);
            $api.html($api.byId('wAmount'), sales.weekAmount);
            $api.html($api.byId('mCard'), sales.monthCount);
            $api.html($api.byId('mAmount'), sales.monthAmount);
        }
        else {
          api.alert({
              msg: err.msg,
          });
        }
        api.hideProgress();
    });
*/


}
