function delWord(el) {
	var input = $api.prev(el, '.txt');
	input.value = '';
}

function ensure() {
	var currentPwd = $api.byId('currentPwd').value;
	var newPwd = $api.byId('newPwd').value;
	var newPwd2 = $api.byId('newPwd2').value;
	var uid = $api.getStorage('userid');
	if (!currentPwd) {
		api.alert({
			msg : '请输入当前密码！'
		});
		return;
	}
	if (!newPwd) {
		api.alert({
			msg : '请输入新密码！'
		});
		return;
	} else {
		if (newPwd !== newPwd2) {
			api.alert({
				msg : '确认密码与新密码不一致'
			});
			return;
		}
	}
	if (newPwd && newPwd2 && newPwd == newPwd2) {
		var updatePasswordUrl = '/kherpaccount/changePass/';
		var bodyParam = {
			fID : uid,
			fOldPass : currentPwd,
			fNewPass : newPwd
		};
		//alert(JSON.stringify(bodyParam));
		ajaxRequestWebAPI(updatePasswordUrl, 'POST', JSON.stringify(bodyParam), function(ret, err) {
			//alert(JSON.stringify(ret));
			if (ret.Status) {
				$api.setStorage('password', newPwd);
				setTimeout(function() {
					api.alert({
						msg : ret.Msg
					}, function(ret, err) {
						api.closeWin();
					});
				}, 200);
			} else {
				api.alert({
					msg : ret.Msg
				});
			}
		});
	}
};

var inputWrap = $api.domAll('.input-wrap');
var i = 0, len = inputWrap.length;
for (i; i < len; i++) {
	var txt = $api.dom(inputWrap[i], '.txt');
	var del = $api.dom(inputWrap[i], '.del');
	(function(txt, del) {
		$api.addEvt(txt, 'focus', function() {
			if (txt.value) {
				$api.addCls(del, 'show');
			}
			$api.addCls(txt, 'light');
		});
		$api.addEvt(txt, 'blur', function() {
			$api.removeCls(del, 'show');
			$api.removeCls(txt, 'light');
		});
	})(txt, del);

}

apiready = function() {
	var header = $api.byId('aui-header');
	$api.fixIos7Bar(header);

	var UserID = $api.getStorage('userid');
	if (!UserID) {
		api.toast({
			msg : '请先登录',
			location : 'middle'
		});
		api.openWin({
			name : 'login',
			url : '../html/userLogin.html',
			opaque : true,
			vScrollBarEnabled : false
		});
	}
};
