apiready = function() {
    api.setRefreshHeaderInfo({
        visible: true,
        // loadingImgae: 'wgt://image/refresh-white.png',
        bgColor: '#f2f2f2',
        textColor: '#4d4d4d',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function(ret, err) {
        api.refreshHeaderLoadDone();
        initPage();
    });
    initPage();
}
var booking = [{
    booking_id: '12',
    course_title: '热瑜伽',
    client_name: '朱宝宝',
    booking_time: '2017-07-12',
    description: '我是测试数据测试数据，健身瑜伽我是测试数据测试数据，健身瑜伽'
}, {
    booking_id: '21',
    course_title: '健美操',
    client_name: '小小一土',
    booking_time: '2017-07-11',
    description: '我是测试数据测试数据，健身瑜伽我是测试数据测试数据，健身瑜伽'
}]

function initPage() {
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '努力加载中...',
        text: '先喝杯茶...',
        modal: true
    });
/*
    var html = '';
    html += '<ul class="aui-list aui-media-list">';
    var Url = 'pt/GetBookDetailList/';

    html += '<li class="aui-list-item">';
    html += '<div class="aui-list-item-inner"><div class="aui-list-item-text">';
    html += '<div class="aui-list-item-title aui-col-xs-3">课程</div>';
    html += '<div class="aui-list-item-title aui-col-xs-3">卡号</div><div class="aui-list-item-title aui-col-xs-2">会员</div>';
    html += '<div class="aui-list-item-title aui-col-xs-2">总课时</div><div class="aui-list-item-title aui-col-xs-2">剩余</div></div>';
    html += '</div>';
    html += '</li>';

    ajaxRequestWebAPI(Url, 'GET', '', function(ret, err) {
        if (ret) {
            //会员卡
            if (ret.length > 0) {
                for (var i = 0; i < ret.length; i++) {
                    var detail = ret[i];
                    html += '<li class="aui-list-item">';
                    html += '<div class="aui-list-item-inner" onclick="sign(\'' + detail.ptcurr_sche_detail_id + '\')"><div class="aui-list-item-text">';
                    html += '<div class="aui-list-item-left aui-col-xs-3">' + detail.course_title + '</div>';
                    html += '<div class="aui-list-item-right aui-col-xs-3">' + detail.card_number +
                        '</div><div class="aui-list-item-right aui-col-xs-2">' + detail.client_name_list +
                        '</div><div class="aui-list-item-right aui-col-xs-2">' + detail.booking_time +
                        '</div><div class="aui-list-item-right aui-col-xs-2"></div>' +
                        '</div>';
                    html += '</div>';
                    html += '</li>';

                }
            }
        }
        html += '</ul>';
        $api.html($api.byId('content'), html);
        api.hideProgress();
    });
*/


    var html = '';
    html += '<ul class="aui-list aui-media-list">';
    for (i = 0; i < booking.length; i++) {
        html += '<li class="aui-list-item"><div class="aui-media-list-item-inner">';
        html += '<div class="aui-flex-item-7 aui-list-item-inner" onclick=""><div class="aui-list-item-text">';
        html += '<div class="aui-list-item-title">' + booking[i].course_title + ':' + booking[i].client_name + '</div></div>';
        html += '<div class="aui-list-item-text">' + booking[i].booking_time + '</div>';
        html += '<div class="aui-list-item-text aui-ellipsis-2">' + booking[i].description + '</div>';

        html += '</div>';
        html += '<div class="aui-flex-item-3 aui-flex-row">';
        html += '<span class="aui-btn aui-flex-row aui-btn-info" onclick="ensure(\'' + booking[i].booking_id + '\')">确认</span>';

        html += '<span class="aui-btn aui-flex-row aui-btn-warning" onclick="cancel(\'' + booking[i].booking_id + '\')">取消</span>';
        html += '</div></div></li>';
    }
    html += '</ul>';
    $api.html($api.byId('content'), html);
    api.hideProgress();

}

function ensure(id) {
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '努力加载中...',
        text: '先喝杯茶...',
        modal: true
    });
    api.openWin({
        name: 'BookEnsure',
        url: '../html/BookEnsure.html',
        pageParam: {
            id: id
        }
    });
    api.hideProgress();
}

function cancel(id) {
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '努力加载中...',
        text: '先喝杯茶...',
        modal: true
    });
    api.openWin({
        name: 'BookCancel',
        url: '../html/BookCancel.html',
        pageParam: {
            id: id
        }
    });
    api.hideProgress();
}
