apiready = function() {
    api.setRefreshHeaderInfo({
        visible: true,
        // loadingImgae: 'wgt://image/refresh-white.png',
        bgColor: '#f2f2f2',
        textColor: '#4d4d4d',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function(ret, err) {
        api.refreshHeaderLoadDone();
        initPage();
    });
    initPage();
}

function initPage() {
    api.parseTapmode();
    changeNot(0);
}

function changeNot(index) {
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '努力加载中...',
        text: '先喝杯茶...',
        modal: true
    });

    var html = '';

    html += '<ul class="aui-list aui-media-list">';
    if (index == 0) {
        html += '<li class="aui-list-header">待付款</li>';
    } else {
        html += '<li class="aui-list-header">已付款</li>';
    }


    var Url = 'pt/GetClientPTList/?ftype=' + index;
    ajaxRequestWebAPI(Url, 'GET', '', function(ret, err) {
      //alert(JSON.stringify(ret));
        if (ret) {
            if (ret.length > 0) {
                for (var i = 0; i < ret.length; i++) {
                    order = ret[i];
                    //alert(order.pay_status);
                    html += '<li class="aui-list-header"><div>课程名称：' + order.ptcurr_sche_name +
                        '</div><div "aui-pull-right">会员：' + order.client_name_list + '</div></li>';

                    html += '<li class="aui-list-item"><div class="aui-media-list-item-inner">';
                    html += '<div class="aui-flex-item-12 aui-list-item-inner" ><div class="aui-list-item-text">';
                    html += '<div class="aui-col-xs-2">课时数';
                    html += '</div>';
                    html += '<div class="aui-col-xs-2">剩余数';
                    html += '</div>';
                    html += '<div class="aui-col-xs-2">退课数';
                    html += '</div>';
                    html += '<div class="aui-col-xs-2">';
                    html += '金额';
                    html += '</div>';
                    html += '<div class="aui-col-xs-2">';
                    html += '实际金额';
                    html += '</div>';
                    html += '<div class="aui-col-xs-2">';
                    html += '支付状态';
                    html += '</div>';
                    html += '</div>';
                    html += '</div></li>';
                    html += '<li class="aui-list-item"><div class="aui-media-list-item-inner">';
                    html += '<div class="aui-flex-item-12 aui-list-item-inner" ><div class="aui-list-item-text">';
                    html += '<div class="aui-col-xs-2">' + order.total_courses;
                    //html += '新办卡';
                    html += '</div>';
                    html += '<div class="aui-col-xs-2">' + order.remain_courses;
                    //html += '新办卡';
                    html += '</div>';
                    html += '<div class="aui-col-xs-2">' + order.refund_courses;
                    //html += '新办卡';
                    html += '</div>';
                    html += '<div class="aui-col-xs-2">';


                    html += '<span class="aui-text-info">' + order.total_price + '</span>';

                    html += '</div>';
                    html += '<div class="aui-col-xs-2">';

                    html += '<span class="aui-text-info">' + order.actual_total_price + '</span>';

                    html += '</div>';
                    html += '<div class="aui-col-xs-2">' + ((order.pay_status==2)?'已支付':'待支付');
                    //html += '已支付';
                    html += '</div>';

                    html += '</div>';


                    html += '</div></li>';


                    html += '<li class="aui-list-item"><div class="aui-media-list-item-inner">';
                    html += '<div class="aui-flex-item-12 aui-list-item-inner" >';
                    html += '<div class="aui-list-item-text"><div class="aui-list-item-title">售课人：' + order.responsible_person + '</div><div class="aui-list-item-right">业务日期：' + order.create_date + '</div>';
                    html += '</div>';
                    if (order.pay_status==2){
                      html += '<div class="aui-list-item-text">';
                      html += '<div class="aui-list-item-title"></div><div class="aui-list-item-right">付款日期：' + order.payment_time + '</div></div>';
                    }
                    



                    html += '</div></li>';
                    html += '<li class="aui-list-item"><div class="aui-media-list-item-inner">';
                    html += '<div class="aui-flex-item-12 aui-list-item-inner" ><div class="aui-list-item-text">' + order.description.replace(/\r\n/igm, "</br>").replace(/\r/igm, "</br>").replace(/\n/igm, "</br>");
                    html += '</div>';
                    //html += '</div>';
                    html += '</div></li>';
                }
            } else {

            }
        } else {

        }
        html += '</u>';

        $api.html($api.byId('content'), html);
        api.hideProgress();
    });


}
