apiready = function() {
    api.setRefreshHeaderInfo({
        visible: true,
        // loadingImgae: 'wgt://image/refresh-white.png',
        bgColor: '#f2f2f2',
        textColor: '#4d4d4d',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function(ret, err) {
        api.refreshHeaderLoadDone();
        initPage();
    });
    initPage();
}
var pt = [{
    ptcurr_sche_id: '12',
    ptcurr_sche_name: '热瑜伽',
    total_courses: '10',
    responsible_person: '孙胖胖',
    total_price: '2000'
}, {
    ptcurr_sche_id: '21',
    ptcurr_sche_name: '动感单车',
    total_courses: '5',
    responsible_person: '杨洋；岳云鹏',
    total_price: '500'
}]

function initPage() {
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '努力加载中...',
        text: '先喝杯茶...',
        modal: true
    });
    var html = '';
    html += '<ul class="aui-list aui-media-list">';
    for (i = 0; i < pt.length; i++) {
        html += '<li class="aui-list-item"><div class="aui-media-list-item-inner">';
        html += '<div class="aui-flex-item-7 aui-list-item-inner" onclick=""><div class="aui-list-item-text">';
        html += '<div class="aui-list-item-title">课程名称：' + pt[i].ptcurr_sche_name + '</div>';
        html += '<div class="aui-list-item-right"><span class="aui-btn aui-btn-info" onclick="pick(\'' + pt[i].ptcurr_sche_id + '\')">购买</span></div></div>';
        html += '<div class="aui-list-item-text">教练：' + pt[i].responsible_person + '</div>';
        html += '<div class="aui-list-item-text">课程总数：' + pt[i].total_courses + '节</div>';
        html += '<div class="aui-list-item-text">课程总价：' + pt[i].total_price + '元</div>';
        html += '</div>';
        html += '</div></li>';
    }
    html += '</ul>';
    $api.html($api.byId('content'), html);
    api.hideProgress();
}

function pick(pid) {
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '努力加载中...',
        text: '先喝杯茶...',
        modal: true
    });
    api.openWin({
        name: 'MemberIndex2',
        url: '../html/MemberIndex2.html',
        pageParam: {
            pid: pid
        }
    });
    api.hideProgress();
}
