apiready = function() {
    api.setRefreshHeaderInfo({
        visible: true,
        // loadingImgae: 'wgt://image/refresh-white.png',
        bgColor: '#f2f2f2',
        textColor: '#4d4d4d',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function(ret, err) {
        api.refreshHeaderLoadDone();
        initPage();
    });
    initPage();
}


function initPage() {
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '努力加载中...',
        text: '先喝杯茶...',
        modal: true
    });
    var html = '';
    html += '<ul class="aui-list aui-media-list">';
    var Url = 'pt/GetBookDetailList/';

    html += '<li class="aui-list-item">';
    html += '<div class="aui-list-item-inner"><div class="aui-list-item-text">';
    html += '<div class="aui-list-item-title aui-col-xs-3">课程</div>';
    html += '<div class="aui-list-item-title aui-col-xs-2">卡号</div><div class="aui-list-item-title aui-col-xs-2">会员</div>';
    html += '<div class="aui-list-item-title aui-col-xs-5">预约时间</div></div>';
    html += '</div>';
    html += '</li>';

    ajaxRequestWebAPI(Url, 'GET', '', function(ret, err) {
        if (ret) {
            //会员卡
            if (ret.length > 0) {
                for (var i = 0; i < ret.length; i++) {
                    var detail = ret[i];
                    html += '<li class="aui-list-item">';
                    html += '<div class="aui-list-item-inner" onclick="showPopup(\'top-left\',\'' + detail.ptcurr_sche_detail_id + '\')"><div class="aui-list-item-text">';
                    html += '<div class="aui-list-item-left aui-col-xs-3">' + detail.course_title + '</div>';
                    html += '<div class="aui-list-item-right aui-col-xs-2">' + detail.card_number +
                        '</div><div class="aui-list-item-right aui-col-xs-2">' + detail.client_name_list +
                        '</div><div class="aui-list-item-right aui-col-xs-5">' + detail.booking_time +
                        '</div>' +
                        '</div>';
                    html += '</div>';
                    html += '</li>';

                }
            }
        }
        html += '</ul>';
        $api.html($api.byId('content'), html);
        api.hideProgress();
    });



}



function showPopup(location, fid, client_name) {
    popup.init({
        frameBounces: true, //当前页面是否弹动，（主要针对安卓端）
        location: location, //位置，top(默认：顶部中间),top-left top-right,bottom,bottom-left,bottom-right
        buttons: [{
            image: '../image/note_edit.png',
            text: '上课签课',
            value: 'sign' //可选
        }, {
            image: '../image/email_go.png',
            text: '取消预约',
            value: 'cancel'
        }],
    }, function(ret) {
        if (ret) {
            //alert(ret.buttonIndex);
            switch (ret.buttonIndex) {
                case 1:
                    sign(fid);
                    break;
                case 2:
                    Cancel(fid);
                    break;
                default:
                    sign(fid);
                    break;
            }
        }
    });
}


function Cancel(id){

      api.confirm({
          title: '取消预约',
          msg: '是否取消本次私教预约？',
          buttons: ['是', '否']
      }, function(ret, err) {
          if (ret.buttonIndex == 1) {
              var Url = 'pt/CoachCancelBooking/?fid=' + id;
              api.showProgress({
                  style: 'default',
                  animationType: 'fade',
                  title: '正在提交...',
                  text: '请稍候...',
                  modal: true
              });
              ajaxRequestWebAPI(Url, 'POST', '', function(ret, err) {
                  if (ret) {
                      if (ret.Status) {
                          api.alert({
                              msg: ret.Msg
                          });

                      } else {
                          api.alert({
                              msg: ret.Msg
                          });
                      }
                  } else {
                      api.alert({
                          msg: err.msg
                      });
                  }

                  initPage();
              });
              //alert("签课成功");

          }
          api.hideProgress();
      });

}

function sign(id) {

    api.confirm({
        title: '确认签课',
        msg: '是否确认签课？',
        buttons: ['是', '否']
    }, function(ret, err) {
        if (ret.buttonIndex == 1) {
            var Url = 'pt/coachsignPT/?fid=' + id;
            api.showProgress({
                style: 'default',
                animationType: 'fade',
                title: '正在提交...',
                text: '请稍候...',
                modal: true
            });
            ajaxRequestWebAPI(Url, 'POST', '', function(ret, err) {
                if (ret) {
                    if (ret.Status) {
                        api.alert({
                            msg: ret.Msg
                        });

                    } else {
                        api.alert({
                            msg: ret.Msg
                        });
                    }
                } else {
                    api.alert({
                        msg: err.msg
                    });
                }

                initPage();
            });
            //alert("签课成功");

        }
    });
    api.hideProgress();
}
