apiready = function() {
    api.setRefreshHeaderInfo({
        visible: true,
        // loadingImgae: 'wgt://image/refresh-white.png',
        bgColor: '#f2f2f2',
        textColor: '#4d4d4d',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function(ret, err) {
        api.refreshHeaderLoadDone();
        initPage();
    });
    initPage();
}

function initPage() {
    api.parseTapmode();
    changeAll(0);
}
var data = [{
    ptcurr_sche_id: '121',
    course_name: '热瑜伽',
    client_name: '朱宝宝',
    card_number: '111222111',
    actual_price: 260,
    begin_time: '2016-07-12',
    sign_time_begin: '2016-07-12 08:00',
    sign_person_begin: '朱宝宝',
    sign_type_begin: '会员',
    sign_mode_begin: '手机',
    sign_time_end: '2016-07-12 09:00',
    sign_person_end: '小小一土',
    sign_type_end: '教练',
    sign_mode_end: '手机',
    description: '我是测试数据测试数据，健身瑜伽我是测试数据测试数据，健身瑜伽'
}, {
    ptcurr_sche_id: '122',
    course_name: '动感单车',
    client_name: '杨洋',
    card_number: '333222111',
    actual_price: 300,
    begin_time: '2017-05-05',
    sign_time_begin: '2016-05-05 14:00',
    sign_person_begin: '杨洋',
    sign_type_begin: '会员',
    sign_mode_begin: '手机',
    sign_time_end: '2016-05-05 16:00',
    sign_person_end: '小小一土',
    sign_type_end: '教练',
    sign_mode_end: '手机',
    description: '我是测试数据测试数据，健身瑜伽我是测试数据测试数据，健身瑜伽'
}];

function changeAll(index) {
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '努力加载中...',
        text: '先喝杯茶...',
        modal: true
    });
    var html = '';
    html += '<ul class="aui-list aui-media-list">';
    html += '<li class="aui-list-header">';
    if (index == 2) {
        html += '全部记录';
    } else if (index == 0) {
        html += '最近一周';
    } else {
        html += '最近一月';
    }
    html += '</li>';

    var Url = 'pt/GetPersonPTTeachList/?ftype=' + index;
    ajaxRequestWebAPI(Url, 'GET', '', function(ret, err) {
        //alert(JSON.stringify(ret));
        if (ret) {
            if (ret.length > 0) {
                data = ret;
                for (i = 0; i < data.length; i++) {
                    html += '<li class="aui-list-item aui-list-item-arrow" onclick="">';
                    html += '<div class="aui-media-list-item-inner">';
                    html += '<div class="aui-list-item-inner">';
                    html += '<div class="aui-list-item-text">';
                    html += '<div class="aui-list-item-title">' + data[i].course_name + '</div>';
                    html += '<div class="aui-list-item-right">金额' + data[i].actual_price + '</div>';
                    html += '<div class="aui-list-item-right">上课<i class="aui-iconfont aui-text-info aui-icon-date"></i>' + data[i].sign_time_begin + '</div>';
                    html += '</div>';
                    html += '<div class="aui-list-item-text">';
                    html += '<div class="aui-list-item-title">' + data[i].client_name + '</div>';
                    html += '<div class="aui-list-item-right">卡号' + data[i].card_number + '</div>';
                    html += '<div class="aui-list-item-right">下课<i class="aui-iconfont aui-text-info aui-icon-date"></i>' + data[i].sign_time_end + '</div>';
                    html += '</div>';
                    html += '</div>';
                    html += '</div>';
                    html += '</li>';
                }
            } else {
                api.alert({
                    msg: "没有记录",
                });
            }
        } else {
            api.alert({
                msg: err.msg,
            });
        }
        html += '</ul>';
        $api.html($api.byId('content'), html);
        api.hideProgress();
    });
    /*
        for (i = 0; i < data.length; i++) {
            html += '<li class="aui-list-item aui-list-item-arrow" onclick="">';
            html += '<div class="aui-media-list-item-inner">';
            html += '<div class="aui-list-item-inner">';
            html += '<div class="aui-list-item-text">';
            html += '<div class="aui-list-item-title">' + data[i].course_name + '</div>';
            html += '<div class="aui-list-item-right">金额' + data[i].actual_price + '</div>';
            html += '<div class="aui-list-item-right">上课<i class="aui-iconfont aui-text-info aui-icon-date"></i>' + data[i].sign_time_begin + '</div>';
            html += '</div>';
            html += '<div class="aui-list-item-text">';
            html += '<div class="aui-list-item-title">' + data[i].client_name + '</div>';
            html += '<div class="aui-list-item-right">卡号' + data[i].card_number + '</div>';
            html += '<div class="aui-list-item-right">下课<i class="aui-iconfont aui-text-info aui-icon-date"></i>' + data[i].sign_time_end + '</div>';
            html += '</div>';
            html += '</div>';
            html += '</div>';
            html += '</li>';
        }
        html += '</ul>';
        $api.html($api.byId('content'), html);
        api.hideProgress();

    */


}
