apiready = function() {
    api.setRefreshHeaderInfo({
        visible: true,
        // loadingImgae: 'wgt://image/refresh-white.png',
        bgColor: '#f2f2f2',
        textColor: '#4d4d4d',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function(ret, err) {
        api.refreshHeaderLoadDone();
        initPage();
    });
    initPage();
}

function initPage() {
    api.parseTapmode();
    changeAll(0);
}


function changeAll(ftype) {

  api.showProgress({
		style : 'default',
		animationType : 'fade',
		title : '努力加载中...',
		text : '先喝杯茶...',
		modal : true
	});
	var ftypeName = '最近一周';
	switch (ftype) {
		case 0:
			ftypeName = '最近一周';
			break;
		case 1:
			ftypeName = '最近一月';
			break;
		case 2:
			ftypeName = '全部记录';
			break;
		default:
			ftypeName = '最近一周';
			break;

	}
	//var fid = api.pageParam.id;
	var Url = 'pt/GetPTClientVisitList/?ftype=' + ftype;
	var html = '';
	html += '<ul class="aui-list aui-media-list">';
	html += '<li class="aui-list-header">';
	html += ftypeName;
	html += '</li>';
	api.showProgress({
		title : '正在加载...',
		modal : false
	});
	ajaxRequestWebAPI(Url, 'GET', '', function(ret, err) {
		if (ret) {
			//会员卡
			if (ret.length > 0) {
				for (var i = 0; i < ret.length; i++) {
					var visit = ret[i];
					html += '<li class="aui-list-item aui-list-item-arrow" onclick="ModifyRecord(\'' + visit.client_visit_id + '\')">';
					html += '<div class="aui-media-list-item-inner">';
					html += '<div class="aui-list-item-inner">';
					html += '<div class="aui-list-item-text">';
					html += '<div class="aui-list-item-title">' + visit.name + '</div>';
					html += '<div class="aui-list-item-right">' + visit.visit_date + '</div>';
					html += '</div>';
					html += '<div class="aui-list-item-text aui-ellipsis-2">';
					html += visit.content;
					html += '</div>';
					html += '</div>';
					html += '</div>';
					html += '</li>';
				}
			}
		}
		html += '</ul>';
		$api.html($api.byId('content'), html);
		api.hideProgress();
	});

  /*
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '努力加载中...',
        text: '先喝杯茶...',
        modal: true
    });
    var html = '';
    html += '<ul class="aui-list aui-media-list">';
    html += '<li class="aui-list-header">';
    if (index == 0) {
        html += '全部记录';
    } else if (index == 1) {
        html += '最近一周';
    } else {
        html += '最近一月';
    }
    html += '</li>';


    for (i = 0; i < data.length; i++) {
        html += '<li class="aui-list-item aui-list-item-arrow" onclick="ModifyRecord(\'' + data[i].client_visit_id + '\',\'' + data[i].name + '\')">';
        html += '<div class="aui-media-list-item-inner">';
        html += '<div class="aui-list-item-inner">';
        html += '<div class="aui-list-item-text">';
        html += '<div class="aui-list-item-title">' + data[i].name + '</div>';
        html += '<div class="aui-list-item-right">日期：' + data[i].visit_date + '</div>';
        html += '<div class="aui-list-item-right">方式：' + data[i].visit_way + '</div>';
        html += '</div>';
        html += '<div class="aui-list-item-text aui-ellipsis-2">';
        html += data[i].content;
        html += '</div>';
        html += '</div>';
        html += '</div>';
        html += '</li>';
    }
    html += '</ul>';
    $api.html($api.byId('content'), html);
    api.hideProgress();
    */
}
/*
function changeWeek() {
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '努力加载中...',
        text: '先喝杯茶...',
        modal: true
    });
    var html = '';
    html += '<ul class="aui-list aui-media-list">';
    html += '<li class="aui-list-header">';
    html += '最近一周';
    html += '</li>';
    html += '<li class="aui-list-item aui-list-item-arrow" onclick="ModifyRecord()">';
    html += '<div class="aui-media-list-item-inner">';
    html += '<div class="aui-list-item-inner">';
    html += '<div class="aui-list-item-text">';
    html += '<div class="aui-list-item-title">刘晓晓</div>';
    html += '<div class="aui-list-item-right">2017-06-10 10:00</div>';
    html += '</div>';
    html += '<div class="aui-list-item-text aui-ellipsis-2">';
    html += '办卡意向如何，准备办年卡次卡季卡？还是等等。测试数据测试数据测试数据测试数据。';
    html += '</div>';
    html += '</div>';
    html += '</div>';
    html += '</li>';
    html += '</ul>';
    $api.html($api.byId('content'), html);
    api.hideProgress();
}

function changeMonth() {
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '努力加载中...',
        text: '先喝杯茶...',
        modal: true
    });
    var html = '';
    html += '<ul class="aui-list aui-media-list">';
    html += '<li class="aui-list-header">';
    html += '最近一月';
    html += '</li>';
    html += '<li class="aui-list-item aui-list-item-arrow" onclick="ModifyRecord()">';
    html += '<div class="aui-media-list-item-inner">';
    html += '<div class="aui-list-item-inner">';
    html += '<div class="aui-list-item-text">';
    html += '<div class="aui-list-item-title">杨洋</div>';
    html += '<div class="aui-list-item-right">2017-05-25 13:14</div>';
    html += '</div>';
    html += '<div class="aui-list-item-text aui-ellipsis-2">';
    html += '办卡意向如何，准备办年卡次卡季卡？还是等等。测试数据测试数据测试数据测试数据。';
    html += '</div>';
    html += '</div>';
    html += '</div>';
    html += '</li>';
    html += '</ul>';
    $api.html($api.byId('content'), html);
    api.hideProgress();
}

function ModifyRecord(id, name) {
    api.openWin({
        name: 'NewPtVisit',
        url: '../html/NewPtVisit.html',
        pageParam: {
            type: '1', //0为新增，1为修改
            id: id,
            cname: name
        }
    });
}
*/
