function login() {
	api.openWin({
		name : 'userRegister',
		url : '../html/userRegister.html',
		opaque : true,
		vScrollBarEnabled : false
	});
}

apiready = function() {
	api.showProgress({
		title : '正在加载...',
		modal : false
	});
	var html;

	//新增退出监听
	var backSecond = 0;
	api.addEventListener({
		name : 'keyback'
	}, function(ret, err) {
		var curSecond = (new Date().getTime()) / 1000;
		if (Math.abs(curSecond - backSecond) > 2) {
			backSecond = curSecond;
			api.toast({
				msg : '再按一次退出',
				duration : 2000,
				location : 'bottom'
			});
		} else {
			api.closeWidget({
				id : api.appId, //这里改成自己的应用ID
				retData : {
					name : 'closeWidget'
				},
				silent : true
			});
		}

	});
	api.hideProgress();
}
function ensure() {
	var name = $api.byId('username').value;
	var pwd = $api.byId('password').value;

	if (!name) {
		api.toast({
			msg : '用户名不能为空',
			duration : 2000,
			location : 'bottom'
		});
		return;
	}
	if (!pwd) {
		api.toast({
			msg : '密码不能为空',
			duration : 2000,
			location : 'bottom'
		});
		return;
	}

	loginUrl = 'kherpaccount/login/';
	bodyParam = {
		login_id : name,
		password : pwd
	};
	api.showProgress({
		title : '正在登录...',
		modal : false
	});

	ajaxRequestWebAPI(loginUrl, 'POST', JSON.stringify(bodyParam), function(ret, err) {
		//alert(JSON.stringify(ret));
		if (ret) {
			if (ret.Status) {

				//$api.clearStorage();

				$api.setStorage('IPAddress', "");
				$api.setStorage('MACAddress', "");

				$api.setStorage('username', ret.User.UserName);
				$api.setStorage('password', pwd);
				$api.setStorage('userid', ret.User.UserID);
				$api.setStorage('deviceId', api.deviceId);

				$api.setStorage('mship',ret.User.ConsultantMark);
				//1表示为会籍顾问
				$api.setStorage('mmanage', ret.User.ConsultantDirectorMark);
				//1表示为会籍主管
				$api.setStorage('coach', ret.User.CoachMark);
				//1表示为私教教练
				$api.setStorage('cmanage',ret.User.CoachDirectorMark);
				//1表示为私教主管
				$api.setStorage('manager',ret.User.Manager);
				$api.setStorage('UserLoginID', name);
				$api.setStorage('org_id', ret.User.UserOrgID);
				$api.setStorage('org_code', ret.User.UserOrgCode);
				$api.setStorage('org_name', ret.User.UserOrgName);
				$api.setStorage('UserPhone', ret.User.UserPhone);
				$api.setStorage('UserAddress', ret.User.UserAddress);
				$api.setStorage('UserBirthday', ret.User.UserBirthday);
				$api.setStorage('UserMail', ret.User.UserMail);
				setTimeout(function() {
					api.openWin({
						name : 'root',
						url : '../index.html',
						bounces : false,
						reload : true,
						slidBackEnabled : false,
					});
				}, 100);
			} else {
				api.alert({
					msg : ret.Msg
				});
			}
		} else {
			api.alert({
				msg : err.msg
			});
		}

		api.hideProgress();
	});
}
